#ifndef _COLOR_SCALE_
#define _COLOR_SCALE_

#include <stdint.h>

extern const uint8_t B_COLOR;
extern const uint8_t G_COLOR;
extern const uint8_t R_COLOR;

/* ---------------------------------------------------------------- PUBLIC FUNCTIONS DECLARATIONS */

void color_scale_init();

int color_scale_set_low_center(float low_center, uint8_t color);

int color_scale_set_med_center(float med_center, uint8_t color);

int color_scale_set_hig_center(float hig_center, uint8_t color);

uint16_t color_scale_rgb_conversion( float x );

#endif