#line 1 "E:/git/fw-clicks/demo_application/IR_Grid_demo_mm/IR_Grid_demo_driver.c"
#line 1 "e:/git/fw-clicks/demo_application/ir_grid_demo_mm/ir_grid_demo_objects.h"
typedef struct Screen TScreen;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
};

extern TScreen Screen1;










void DrawScreen(TScreen *aScreen);
void Check_TP();
void Start_TP();
#line 1 "e:/git/fw-clicks/demo_application/ir_grid_demo_mm/ir_grid_demo_resources.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/built_in.h"
#line 7 "E:/git/fw-clicks/demo_application/IR_Grid_demo_mm/IR_Grid_demo_driver.c"
sbit TFT_BLED at GPIOF_ODR.B10;
sbit TFT_CS at GPIOF_ODR.B13;
unsigned int TFT_DataPort at GPIOE_ODR;
sbit TFT_RD at GPIOF_ODR.B12;
sbit TFT_RS at GPIOF_ODR.B15;
sbit TFT_RST at GPIOF_ODR.B14;
sbit TFT_WR at GPIOF_ODR.B11;




unsigned int Xcoord, Ycoord;
char PenDown;
typedef unsigned long TPointer;
TPointer PressedObject;
int PressedObjectType;
unsigned int caption_length, caption_height;
unsigned int display_width, display_height;

int _object_count;
unsigned short object_pressed;


void Write_to_Data_Lines(unsigned char _hi, unsigned char _lo) {
 unsigned int temp;
 temp = GPIOE_ODR;
 temp &= 0x00FF;
 GPIOE_ODR = temp | (_hi << 8);
 temp = GPIOG_ODR;
 temp &= 0xFF00;
 GPIOG_ODR = temp | _lo;
}

void Set_Index(unsigned short index) {
 TFT_RS = 0;
 Write_to_Data_Lines(0, index);
 TFT_WR = 0;
 asm nop;
 TFT_WR = 1;
}

void Write_Command(unsigned short cmd) {
 TFT_RS = 1;
 Write_to_Data_Lines(0, cmd);
 TFT_WR = 0;
 asm nop;
 TFT_WR = 1;
}

void Write_Data(unsigned int _data) {
 TFT_RS = 1;
 Write_to_Data_Lines( ((char *)&_data)[1] ,  ((char *)&_data)[0] );
 TFT_WR = 0;
 asm nop;
 TFT_WR = 1;
}

static void InitializeTouchPanel() {
 TFT_Set_Active(Set_Index, Write_Command, Write_Data);
 TFT_Init_SSD1963(480, 272);

 TFT_Set_DBC_SSD1963(255);
}



 TScreen* CurrentScreen;

 TScreen Screen1;



static void InitializeObjects() {
 Screen1.Color = 0xFFFF;
 Screen1.Width = 480;
 Screen1.Height = 272;
 Screen1.ObjectsCount = 0;

}

static char IsInsideObject (unsigned int X, unsigned int Y, unsigned int Left, unsigned int Top, unsigned int Width, unsigned int Height) {
 if ( (Left<= X) && (Left+ Width - 1 >= X) &&
 (Top <= Y) && (Top + Height - 1 >= Y) )
 return 1;
 else
 return 0;
}




void DrawScreen(TScreen *aScreen) {
 unsigned int order;
 char save_bled;

 object_pressed = 0;
 order = 0;
 CurrentScreen = aScreen;

 if ((display_width != CurrentScreen->Width) || (display_height != CurrentScreen->Height)) {
 save_bled = TFT_BLED;
 TFT_BLED = 0;
 TFT_Set_Active(Set_Index, Write_Command, Write_Data);
 TFT_Init_SSD1963(CurrentScreen->Width, CurrentScreen->Height);
 TFT_Fill_Screen(CurrentScreen->Color);
 TFT_Set_DBC_SSD1963(255);
 display_width = CurrentScreen->Width;
 display_height = CurrentScreen->Height;
 TFT_BLED = save_bled;
 }
 else
 TFT_Fill_Screen(CurrentScreen->Color);


 while (order < CurrentScreen->ObjectsCount) {
 }
}

void Init_MCU() {



 GPIO_Digital_Output(&GPIOB_BASE, _GPIO_PINMASK_6);
 GPIO_Digital_Input(&GPIOB_BASE, _GPIO_PINMASK_7);
 GPIOB_ODR.B6 = 1;
 while (GPIOB_IDR.B7 == 0) {
 GPIOB_ODR.B6 = 0;
 Delay_us(10);
 GPIOB_ODR.B6 = 1;
 Delay_us(10);
 }
 I2C1_Init_Advanced(400000, &_GPIO_MODULE_I2C1_PB67);

 TFT_Set_Default_Mode();
 GPIO_Digital_Output(&GPIOG_BASE, 0x00FF);
 GPIO_Digital_Output(&GPIOE_BASE, 0xFF00);
 GPIO_Digital_Output(&GPIOB_BASE, _GPIO_PINMASK_4);
 GPIOB_ODR.B4 = 0;
 TFT_Set_Default_Mode();
 TFT_Set_MM_Plus();

}

void Start_TP() {
 Init_MCU();

 InitializeTouchPanel();
 InitializeObjects();
 display_width = Screen1.Width;
 display_height = Screen1.Height;
 DrawScreen(&Screen1);
}
