__irgrid_hal_hal_gpioMap:
;__irgrid_hal.c,321 :: 		static void hal_gpioMap(T_HAL_P gpioObj)
;__irgrid_hal.c,397 :: 		}
L_end_hal_gpioMap:
BX	LR
; end of __irgrid_hal_hal_gpioMap
__irgrid_hal_hal_i2cMap:
;__hal_stm32.c,82 :: 		static void hal_i2cMap(T_HAL_P i2cObj)
; i2cObj start address is: 0 (R0)
; i2cObj end address is: 0 (R0)
; i2cObj start address is: 0 (R0)
;__hal_stm32.c,86 :: 		fp_i2cStart    = tmp->i2cStart;
LDR	R2, [R0, #0]
MOVW	R1, #lo_addr(__irgrid_hal_fp_i2cStart+0)
MOVT	R1, #hi_addr(__irgrid_hal_fp_i2cStart+0)
STR	R2, [R1, #0]
;__hal_stm32.c,87 :: 		fp_i2cWrite    = tmp->i2cWrite;
ADDS	R1, R0, #4
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__irgrid_hal_fp_i2cWrite+0)
MOVT	R1, #hi_addr(__irgrid_hal_fp_i2cWrite+0)
STR	R2, [R1, #0]
;__hal_stm32.c,88 :: 		fp_i2cRead     = tmp->i2cRead;
ADDW	R1, R0, #8
; i2cObj end address is: 0 (R0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__irgrid_hal_fp_i2cRead+0)
MOVT	R1, #hi_addr(__irgrid_hal_fp_i2cRead+0)
STR	R2, [R1, #0]
;__hal_stm32.c,89 :: 		}
L_end_hal_i2cMap:
BX	LR
; end of __irgrid_hal_hal_i2cMap
__irgrid_hal_hal_i2cStart:
;__hal_stm32.c,91 :: 		static int hal_i2cStart()
SUB	SP, SP, #8
STR	LR, [SP, #0]
;__hal_stm32.c,93 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #4]
;__hal_stm32.c,94 :: 		res |= fp_i2cStart();
MOVW	R4, #lo_addr(__irgrid_hal_fp_i2cStart+0)
MOVT	R4, #hi_addr(__irgrid_hal_fp_i2cStart+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R1, [SP, #4]
ORR	R0, R1, R0, LSL #0
;__hal_stm32.c,95 :: 		return res;
SXTH	R0, R0
;__hal_stm32.c,96 :: 		}
L_end_hal_i2cStart:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __irgrid_hal_hal_i2cStart
__irgrid_hal_hal_i2cWrite:
;__hal_stm32.c,98 :: 		static int hal_i2cWrite(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
; endMode start address is: 12 (R3)
; nBytes start address is: 8 (R2)
; pBuf start address is: 4 (R1)
; slaveAddress start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
; slaveAddress start address is: 0 (R0)
; pBuf start address is: 4 (R1)
; nBytes start address is: 8 (R2)
; endMode start address is: 12 (R3)
;__hal_stm32.c,100 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #4]
;__hal_stm32.c,102 :: 		res |= fp_i2cWrite(slaveAddress, ptr, nBytes, endMode);
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
MOVW	R4, #lo_addr(__irgrid_hal_fp_i2cWrite+0)
MOVT	R4, #hi_addr(__irgrid_hal_fp_i2cWrite+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #4]
ORRS	R4, R0
;__hal_stm32.c,103 :: 		return res;
SXTH	R0, R4
;__hal_stm32.c,104 :: 		}
L_end_hal_i2cWrite:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __irgrid_hal_hal_i2cWrite
__irgrid_hal_hal_i2cRead:
;__hal_stm32.c,106 :: 		static int hal_i2cRead(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
; endMode start address is: 12 (R3)
; nBytes start address is: 8 (R2)
; pBuf start address is: 4 (R1)
; slaveAddress start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
; slaveAddress start address is: 0 (R0)
; pBuf start address is: 4 (R1)
; nBytes start address is: 8 (R2)
; endMode start address is: 12 (R3)
;__hal_stm32.c,108 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #4]
;__hal_stm32.c,110 :: 		fp_i2cRead(slaveAddress, ptr, nBytes, endMode);
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
MOVW	R4, #lo_addr(__irgrid_hal_fp_i2cRead+0)
MOVT	R4, #hi_addr(__irgrid_hal_fp_i2cRead+0)
LDR	R4, [R4, #0]
BLX	R4
;__hal_stm32.c,111 :: 		return res;
LDRSH	R0, [SP, #4]
;__hal_stm32.c,112 :: 		}
L_end_hal_i2cRead:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __irgrid_hal_hal_i2cRead
