__irgrid_driver_hal_gpioMap:
;__irgrid_hal.c,321 :: 		static void hal_gpioMap(T_HAL_P gpioObj)
;__irgrid_hal.c,397 :: 		}
L_end_hal_gpioMap:
BX	LR
; end of __irgrid_driver_hal_gpioMap
__irgrid_driver_hal_i2cMap:
;__hal_stm32.c,82 :: 		static void hal_i2cMap(T_HAL_P i2cObj)
; i2cObj start address is: 0 (R0)
; i2cObj end address is: 0 (R0)
; i2cObj start address is: 0 (R0)
;__hal_stm32.c,86 :: 		fp_i2cStart    = tmp->i2cStart;
LDR	R2, [R0, #0]
MOVW	R1, #lo_addr(__irgrid_driver_fp_i2cStart+0)
MOVT	R1, #hi_addr(__irgrid_driver_fp_i2cStart+0)
STR	R2, [R1, #0]
;__hal_stm32.c,87 :: 		fp_i2cWrite    = tmp->i2cWrite;
ADDS	R1, R0, #4
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__irgrid_driver_fp_i2cWrite+0)
MOVT	R1, #hi_addr(__irgrid_driver_fp_i2cWrite+0)
STR	R2, [R1, #0]
;__hal_stm32.c,88 :: 		fp_i2cRead     = tmp->i2cRead;
ADDW	R1, R0, #8
; i2cObj end address is: 0 (R0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__irgrid_driver_fp_i2cRead+0)
MOVT	R1, #hi_addr(__irgrid_driver_fp_i2cRead+0)
STR	R2, [R1, #0]
;__hal_stm32.c,89 :: 		}
L_end_hal_i2cMap:
BX	LR
; end of __irgrid_driver_hal_i2cMap
__irgrid_driver_hal_i2cStart:
;__hal_stm32.c,91 :: 		static int hal_i2cStart()
SUB	SP, SP, #8
STR	LR, [SP, #0]
;__hal_stm32.c,93 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #4]
;__hal_stm32.c,94 :: 		res |= fp_i2cStart();
MOVW	R4, #lo_addr(__irgrid_driver_fp_i2cStart+0)
MOVT	R4, #hi_addr(__irgrid_driver_fp_i2cStart+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R1, [SP, #4]
ORR	R0, R1, R0, LSL #0
;__hal_stm32.c,95 :: 		return res;
SXTH	R0, R0
;__hal_stm32.c,96 :: 		}
L_end_hal_i2cStart:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __irgrid_driver_hal_i2cStart
__irgrid_driver_hal_i2cWrite:
;__hal_stm32.c,98 :: 		static int hal_i2cWrite(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
; endMode start address is: 12 (R3)
; nBytes start address is: 8 (R2)
; pBuf start address is: 4 (R1)
; slaveAddress start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
; slaveAddress start address is: 0 (R0)
; pBuf start address is: 4 (R1)
; nBytes start address is: 8 (R2)
; endMode start address is: 12 (R3)
;__hal_stm32.c,100 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #4]
;__hal_stm32.c,102 :: 		res |= fp_i2cWrite(slaveAddress, ptr, nBytes, endMode);
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
MOVW	R4, #lo_addr(__irgrid_driver_fp_i2cWrite+0)
MOVT	R4, #hi_addr(__irgrid_driver_fp_i2cWrite+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R4, [SP, #4]
ORRS	R4, R0
;__hal_stm32.c,103 :: 		return res;
SXTH	R0, R4
;__hal_stm32.c,104 :: 		}
L_end_hal_i2cWrite:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __irgrid_driver_hal_i2cWrite
__irgrid_driver_hal_i2cRead:
;__hal_stm32.c,106 :: 		static int hal_i2cRead(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
; endMode start address is: 12 (R3)
; nBytes start address is: 8 (R2)
; pBuf start address is: 4 (R1)
; slaveAddress start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
; slaveAddress start address is: 0 (R0)
; pBuf start address is: 4 (R1)
; nBytes start address is: 8 (R2)
; endMode start address is: 12 (R3)
;__hal_stm32.c,108 :: 		int res = 0;
MOVW	R4, #0
STRH	R4, [SP, #4]
;__hal_stm32.c,110 :: 		fp_i2cRead(slaveAddress, ptr, nBytes, endMode);
; endMode end address is: 12 (R3)
; nBytes end address is: 8 (R2)
; pBuf end address is: 4 (R1)
; slaveAddress end address is: 0 (R0)
MOVW	R4, #lo_addr(__irgrid_driver_fp_i2cRead+0)
MOVT	R4, #hi_addr(__irgrid_driver_fp_i2cRead+0)
LDR	R4, [R4, #0]
BLX	R4
;__hal_stm32.c,111 :: 		return res;
LDRSH	R0, [SP, #4]
;__hal_stm32.c,112 :: 		}
L_end_hal_i2cRead:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __irgrid_driver_hal_i2cRead
_irgrid_i2cDriverInit:
;__irgrid_driver.c,115 :: 		void irgrid_i2cDriverInit(T_IRGRID_P gpioObj, T_IRGRID_P i2cObj, uint8_t slave_eeprom, uint8_t slave)
; slave start address is: 12 (R3)
; slave_eeprom start address is: 8 (R2)
; i2cObj start address is: 4 (R1)
; gpioObj start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
STRB	R3, [SP, #4]
MOV	R3, R0
LDRB	R0, [SP, #4]
; slave end address is: 12 (R3)
; slave_eeprom end address is: 8 (R2)
; i2cObj end address is: 4 (R1)
; gpioObj end address is: 0 (R0)
; gpioObj start address is: 12 (R3)
; i2cObj start address is: 4 (R1)
; slave_eeprom start address is: 8 (R2)
; slave start address is: 0 (R0)
;__irgrid_driver.c,117 :: 		_slaveEEPROM = slave_eeprom;
MOVW	R4, #lo_addr(__irgrid_driver__slaveEEPROM+0)
MOVT	R4, #hi_addr(__irgrid_driver__slaveEEPROM+0)
STRB	R2, [R4, #0]
; slave_eeprom end address is: 8 (R2)
;__irgrid_driver.c,118 :: 		_slaveRAM = slave;
MOVW	R4, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R4, #hi_addr(__irgrid_driver__slaveRAM+0)
STRB	R0, [R4, #0]
; slave end address is: 0 (R0)
;__irgrid_driver.c,120 :: 		hal_i2cMap( (T_HAL_P)i2cObj );
MOV	R0, R1
; i2cObj end address is: 4 (R1)
BL	__irgrid_driver_hal_i2cMap+0
;__irgrid_driver.c,121 :: 		hal_gpioMap( (T_HAL_P)gpioObj );
MOV	R0, R3
; gpioObj end address is: 12 (R3)
BL	__irgrid_driver_hal_gpioMap+0
;__irgrid_driver.c,125 :: 		}
L_end_irgrid_i2cDriverInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _irgrid_i2cDriverInit
_irgrid_deviceInit:
;__irgrid_driver.c,141 :: 		uint8_t irgrid_deviceInit(uint8_t refrate)
; refrate start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; refrate end address is: 0 (R0)
; refrate start address is: 0 (R0)
;__irgrid_driver.c,145 :: 		i = 0;
MOVS	R1, #0
STRB	R1, [SP, #4]
;__irgrid_driver.c,146 :: 		_refresh_rate = refrate;
MOVW	R1, #lo_addr(__irgrid_driver__refresh_rate+0)
MOVT	R1, #hi_addr(__irgrid_driver__refresh_rate+0)
STRB	R0, [R1, #0]
; refrate end address is: 0 (R0)
;__irgrid_driver.c,148 :: 		do
L_irgrid_deviceInit0:
;__irgrid_driver.c,150 :: 		_get_eeprom();
BL	__irgrid_driver__get_eeprom+0
;__irgrid_driver.c,151 :: 		_set_trim();
BL	__irgrid_driver__set_trim+0
;__irgrid_driver.c,152 :: 		_set_cgf();
BL	__irgrid_driver__set_cgf+0
;__irgrid_driver.c,154 :: 		if (i++ > 16)
LDRB	R2, [SP, #4]
LDRB	R1, [SP, #4]
ADDS	R1, R1, #1
STRB	R1, [SP, #4]
CMP	R2, #16
IT	LS
BLS	L_irgrid_deviceInit3
;__irgrid_driver.c,156 :: 		return 1;
MOVS	R0, #1
IT	AL
BAL	L_end_irgrid_deviceInit
;__irgrid_driver.c,157 :: 		}
L_irgrid_deviceInit3:
;__irgrid_driver.c,159 :: 		} while (!((_get_cfg() & 0x0400) >> 10));
BL	__irgrid_driver__get_cfg+0
AND	R1, R0, #1024
UXTH	R1, R1
LSRS	R1, R1, #10
UXTH	R1, R1
CMP	R1, #0
IT	EQ
BEQ	L_irgrid_deviceInit0
;__irgrid_driver.c,161 :: 		return 0;
MOVS	R0, #0
;__irgrid_driver.c,162 :: 		}
L_end_irgrid_deviceInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _irgrid_deviceInit
_irgrid_measure:
;__irgrid_driver.c,164 :: 		uint8_t irgrid_measure()
SUB	SP, SP, #8
STR	LR, [SP, #0]
;__irgrid_driver.c,168 :: 		i = 0;
MOVS	R0, #0
STRB	R0, [SP, #4]
;__irgrid_driver.c,170 :: 		do
L_irgrid_measure4:
;__irgrid_driver.c,172 :: 		_get_eeprom();
BL	__irgrid_driver__get_eeprom+0
;__irgrid_driver.c,173 :: 		_set_trim();
BL	__irgrid_driver__set_trim+0
;__irgrid_driver.c,174 :: 		_set_cgf();
BL	__irgrid_driver__set_cgf+0
;__irgrid_driver.c,176 :: 		if (i++ > 16)
LDRB	R1, [SP, #4]
LDRB	R0, [SP, #4]
ADDS	R0, R0, #1
STRB	R0, [SP, #4]
CMP	R1, #16
IT	LS
BLS	L_irgrid_measure7
;__irgrid_driver.c,178 :: 		return 1;
MOVS	R0, #1
IT	AL
BAL	L_end_irgrid_measure
;__irgrid_driver.c,179 :: 		}
L_irgrid_measure7:
;__irgrid_driver.c,181 :: 		} while (!((_get_cfg() & 0x0400) >> 10));
BL	__irgrid_driver__get_cfg+0
AND	R0, R0, #1024
UXTH	R0, R0
LSRS	R0, R0, #10
UXTH	R0, R0
CMP	R0, #0
IT	EQ
BEQ	L_irgrid_measure4
;__irgrid_driver.c,183 :: 		_get_ptat();
BL	__irgrid_driver__get_ptat+0
;__irgrid_driver.c,184 :: 		_get_ir();
BL	__irgrid_driver__get_ir+0
;__irgrid_driver.c,185 :: 		_calc_ta();
BL	__irgrid_driver__calc_ta+0
;__irgrid_driver.c,186 :: 		_get_cpix();
BL	__irgrid_driver__get_cpix+0
;__irgrid_driver.c,187 :: 		_calc_to();
BL	__irgrid_driver__calc_to+0
;__irgrid_driver.c,189 :: 		return 0;
MOVS	R0, #0
;__irgrid_driver.c,190 :: 		}
L_end_irgrid_measure:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _irgrid_measure
_irgrid_get_amb_temperature:
;__irgrid_driver.c,192 :: 		float irgrid_get_amb_temperature()
;__irgrid_driver.c,194 :: 		return _temperature_amb;
MOVW	R0, #lo_addr(__irgrid_driver__temperature_amb+0)
MOVT	R0, #hi_addr(__irgrid_driver__temperature_amb+0)
VLDR	#1, S0, [R0, #0]
;__irgrid_driver.c,195 :: 		}
L_end_irgrid_get_amb_temperature:
BX	LR
; end of _irgrid_get_amb_temperature
_irgrid_get_ir_raw:
;__irgrid_driver.c,197 :: 		void irgrid_get_ir_raw(int16_t *buffer)
; buffer start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; buffer end address is: 0 (R0)
; buffer start address is: 0 (R0)
;__irgrid_driver.c,199 :: 		memcpy(buffer, _ir_data, sizeof(int16_t) * 64);
MOVW	R2, #128
SXTH	R2, R2
MOVW	R1, #lo_addr(__irgrid_driver__ir_data+0)
MOVT	R1, #hi_addr(__irgrid_driver__ir_data+0)
; buffer end address is: 0 (R0)
BL	_memcpy+0
;__irgrid_driver.c,200 :: 		}
L_end_irgrid_get_ir_raw:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _irgrid_get_ir_raw
_irgrid_get_temperature:
;__irgrid_driver.c,202 :: 		void irgrid_get_temperature(float *buffer)
; buffer start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; buffer end address is: 0 (R0)
; buffer start address is: 0 (R0)
;__irgrid_driver.c,204 :: 		memcpy(buffer, _temperature_data, sizeof(float) * 64);
MOVW	R2, #256
SXTH	R2, R2
MOVW	R1, #lo_addr(__irgrid_driver__temperature_data+0)
MOVT	R1, #hi_addr(__irgrid_driver__temperature_data+0)
; buffer end address is: 0 (R0)
BL	_memcpy+0
;__irgrid_driver.c,205 :: 		}
L_end_irgrid_get_temperature:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _irgrid_get_temperature
__irgrid_driver__get_eeprom:
;__irgrid_driver.c,209 :: 		static void _get_eeprom()
SUB	SP, SP, #8
STR	LR, [SP, #0]
;__irgrid_driver.c,213 :: 		writeReg = 0;
MOVS	R0, #0
STRB	R0, [SP, #4]
;__irgrid_driver.c,215 :: 		hal_i2cStart();
BL	__irgrid_driver_hal_i2cStart+0
;__irgrid_driver.c,216 :: 		hal_i2cWrite( _slaveEEPROM, &writeReg, 1, END_MODE_RESTART );
ADD	R1, SP, #4
MOVW	R0, #lo_addr(__irgrid_driver__slaveEEPROM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveEEPROM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #0
MOVS	R2, #1
BL	__irgrid_driver_hal_i2cWrite+0
;__irgrid_driver.c,217 :: 		hal_i2cRead( _slaveEEPROM, _eeprom_data, 256, END_MODE_STOP );
MOVW	R0, #lo_addr(__irgrid_driver__slaveEEPROM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveEEPROM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #1
MOVW	R2, #256
MOVW	R1, #lo_addr(__irgrid_driver__eeprom_data+0)
MOVT	R1, #hi_addr(__irgrid_driver__eeprom_data+0)
BL	__irgrid_driver_hal_i2cRead+0
;__irgrid_driver.c,218 :: 		}
L_end__get_eeprom:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __irgrid_driver__get_eeprom
__irgrid_driver__set_cgf:
;__irgrid_driver.c,220 :: 		static void _set_cgf()
SUB	SP, SP, #12
STR	LR, [SP, #0]
;__irgrid_driver.c,226 :: 		switch (_refresh_rate)
IT	AL
BAL	L___irgrid_driver__set_cgf8
;__irgrid_driver.c,228 :: 		case 0:
L___irgrid_driver__set_cgf10:
;__irgrid_driver.c,229 :: 		Hz_LSB = 0x3F;
; Hz_LSB start address is: 12 (R3)
MOVS	R3, #63
;__irgrid_driver.c,230 :: 		break;
; Hz_LSB end address is: 12 (R3)
IT	AL
BAL	L___irgrid_driver__set_cgf9
;__irgrid_driver.c,231 :: 		case 1:
L___irgrid_driver__set_cgf11:
;__irgrid_driver.c,232 :: 		Hz_LSB = 0x3E;
; Hz_LSB start address is: 12 (R3)
MOVS	R3, #62
;__irgrid_driver.c,233 :: 		break;
; Hz_LSB end address is: 12 (R3)
IT	AL
BAL	L___irgrid_driver__set_cgf9
;__irgrid_driver.c,234 :: 		case 2:
L___irgrid_driver__set_cgf12:
;__irgrid_driver.c,235 :: 		Hz_LSB = 0x3D;
; Hz_LSB start address is: 12 (R3)
MOVS	R3, #61
;__irgrid_driver.c,236 :: 		break;
; Hz_LSB end address is: 12 (R3)
IT	AL
BAL	L___irgrid_driver__set_cgf9
;__irgrid_driver.c,237 :: 		case 4:
L___irgrid_driver__set_cgf13:
;__irgrid_driver.c,238 :: 		Hz_LSB = 0x3C;
; Hz_LSB start address is: 12 (R3)
MOVS	R3, #60
;__irgrid_driver.c,239 :: 		break;
; Hz_LSB end address is: 12 (R3)
IT	AL
BAL	L___irgrid_driver__set_cgf9
;__irgrid_driver.c,240 :: 		case 8:
L___irgrid_driver__set_cgf14:
;__irgrid_driver.c,241 :: 		Hz_LSB = 0x3B;
; Hz_LSB start address is: 12 (R3)
MOVS	R3, #59
;__irgrid_driver.c,242 :: 		break;
; Hz_LSB end address is: 12 (R3)
IT	AL
BAL	L___irgrid_driver__set_cgf9
;__irgrid_driver.c,243 :: 		case 16:
L___irgrid_driver__set_cgf15:
;__irgrid_driver.c,244 :: 		Hz_LSB = 0x3A;
; Hz_LSB start address is: 12 (R3)
MOVS	R3, #58
;__irgrid_driver.c,245 :: 		break;
; Hz_LSB end address is: 12 (R3)
IT	AL
BAL	L___irgrid_driver__set_cgf9
;__irgrid_driver.c,246 :: 		case 32:
L___irgrid_driver__set_cgf16:
;__irgrid_driver.c,247 :: 		Hz_LSB = 0x39;
; Hz_LSB start address is: 12 (R3)
MOVS	R3, #57
;__irgrid_driver.c,248 :: 		break;
; Hz_LSB end address is: 12 (R3)
IT	AL
BAL	L___irgrid_driver__set_cgf9
;__irgrid_driver.c,249 :: 		default:
L___irgrid_driver__set_cgf17:
;__irgrid_driver.c,250 :: 		Hz_LSB = 0x3E;
; Hz_LSB start address is: 12 (R3)
MOVS	R3, #62
;__irgrid_driver.c,251 :: 		break;
; Hz_LSB end address is: 12 (R3)
IT	AL
BAL	L___irgrid_driver__set_cgf9
;__irgrid_driver.c,252 :: 		}
L___irgrid_driver__set_cgf8:
MOVW	R0, #lo_addr(__irgrid_driver__refresh_rate+0)
MOVT	R0, #hi_addr(__irgrid_driver__refresh_rate+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L___irgrid_driver__set_cgf10
MOVW	R0, #lo_addr(__irgrid_driver__refresh_rate+0)
MOVT	R0, #hi_addr(__irgrid_driver__refresh_rate+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L___irgrid_driver__set_cgf11
MOVW	R0, #lo_addr(__irgrid_driver__refresh_rate+0)
MOVT	R0, #hi_addr(__irgrid_driver__refresh_rate+0)
LDRB	R0, [R0, #0]
CMP	R0, #2
IT	EQ
BEQ	L___irgrid_driver__set_cgf12
MOVW	R0, #lo_addr(__irgrid_driver__refresh_rate+0)
MOVT	R0, #hi_addr(__irgrid_driver__refresh_rate+0)
LDRB	R0, [R0, #0]
CMP	R0, #4
IT	EQ
BEQ	L___irgrid_driver__set_cgf13
MOVW	R0, #lo_addr(__irgrid_driver__refresh_rate+0)
MOVT	R0, #hi_addr(__irgrid_driver__refresh_rate+0)
LDRB	R0, [R0, #0]
CMP	R0, #8
IT	EQ
BEQ	L___irgrid_driver__set_cgf14
MOVW	R0, #lo_addr(__irgrid_driver__refresh_rate+0)
MOVT	R0, #hi_addr(__irgrid_driver__refresh_rate+0)
LDRB	R0, [R0, #0]
CMP	R0, #16
IT	EQ
BEQ	L___irgrid_driver__set_cgf15
MOVW	R0, #lo_addr(__irgrid_driver__refresh_rate+0)
MOVT	R0, #hi_addr(__irgrid_driver__refresh_rate+0)
LDRB	R0, [R0, #0]
CMP	R0, #32
IT	EQ
BEQ	L___irgrid_driver__set_cgf16
IT	AL
BAL	L___irgrid_driver__set_cgf17
L___irgrid_driver__set_cgf9:
;__irgrid_driver.c,254 :: 		Hz_MSB = 0x46;
; Hz_LSB start address is: 12 (R3)
; Hz_MSB start address is: 16 (R4)
MOVS	R4, #70
;__irgrid_driver.c,256 :: 		tmp[0] = 0x03;
ADD	R2, SP, #4
MOVS	R0, #3
STRB	R0, [R2, #0]
;__irgrid_driver.c,257 :: 		tmp[1] = (uint8_t)Hz_LSB - 0x55;
ADDS	R1, R2, #1
SUBW	R0, R3, #85
STRB	R0, [R1, #0]
;__irgrid_driver.c,258 :: 		tmp[2] = (Hz_LSB);
ADDS	R0, R2, #2
STRB	R3, [R0, #0]
; Hz_LSB end address is: 12 (R3)
;__irgrid_driver.c,259 :: 		tmp[3] = Hz_MSB - 0x55;
ADDS	R1, R2, #3
SUBW	R0, R4, #85
STRB	R0, [R1, #0]
;__irgrid_driver.c,260 :: 		tmp[4] = Hz_MSB;
ADDS	R0, R2, #4
STRB	R4, [R0, #0]
; Hz_MSB end address is: 16 (R4)
;__irgrid_driver.c,262 :: 		hal_i2cStart();
BL	__irgrid_driver_hal_i2cStart+0
;__irgrid_driver.c,263 :: 		hal_i2cWrite(_slaveRAM, tmp, 5, END_MODE_STOP);
ADD	R1, SP, #4
MOVW	R0, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveRAM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #1
MOVS	R2, #5
BL	__irgrid_driver_hal_i2cWrite+0
;__irgrid_driver.c,264 :: 		resolution = (_get_cfg() & 0x30) >> 4;
BL	__irgrid_driver__get_cfg+0
AND	R0, R0, #48
UXTH	R0, R0
LSRS	R1, R0, #4
MOVW	R0, #lo_addr(__irgrid_driver_resolution+0)
MOVT	R0, #hi_addr(__irgrid_driver_resolution+0)
STRH	R1, [R0, #0]
;__irgrid_driver.c,265 :: 		}
L_end__set_cgf:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of __irgrid_driver__set_cgf
__irgrid_driver__set_trim:
;__irgrid_driver.c,267 :: 		static void _set_trim()
SUB	SP, SP, #12
STR	LR, [SP, #0]
;__irgrid_driver.c,271 :: 		tmp[0] = 0x04;
ADD	R3, SP, #4
MOVS	R0, #4
STRB	R0, [R3, #0]
;__irgrid_driver.c,272 :: 		tmp[1] = (uint8_t) _eeprom_data[_IRGRID_OSC_TRIM_VALUE] - 0xAA;
ADDS	R1, R3, #1
MOVW	R2, #lo_addr(__irgrid_driver__eeprom_data+247)
MOVT	R2, #hi_addr(__irgrid_driver__eeprom_data+247)
LDRB	R0, [R2, #0]
SUBS	R0, #170
STRB	R0, [R1, #0]
;__irgrid_driver.c,273 :: 		tmp[2] = _eeprom_data[_IRGRID_OSC_TRIM_VALUE];
ADDS	R1, R3, #2
MOV	R0, R2
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;__irgrid_driver.c,274 :: 		tmp[3] = 0x56;
ADDS	R1, R3, #3
MOVS	R0, #86
STRB	R0, [R1, #0]
;__irgrid_driver.c,275 :: 		tmp[4] = 0x00;
ADDS	R1, R3, #4
MOVS	R0, #0
STRB	R0, [R1, #0]
;__irgrid_driver.c,277 :: 		hal_i2cStart();
BL	__irgrid_driver_hal_i2cStart+0
;__irgrid_driver.c,278 :: 		hal_i2cWrite(_slaveRAM, tmp, 5, END_MODE_STOP);
ADD	R1, SP, #4
MOVW	R0, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveRAM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #1
MOVS	R2, #5
BL	__irgrid_driver_hal_i2cWrite+0
;__irgrid_driver.c,279 :: 		}
L_end__set_trim:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of __irgrid_driver__set_trim
__irgrid_driver__get_ir:
;__irgrid_driver.c,281 :: 		static void _get_ir()
SUB	SP, SP, #136
STR	LR, [SP, #0]
;__irgrid_driver.c,287 :: 		tmp_w[0] = 0x02;
ADD	R2, SP, #4
MOVS	R0, #2
STRB	R0, [R2, #0]
;__irgrid_driver.c,288 :: 		tmp_w[1] = 0x00;
ADDS	R1, R2, #1
MOVS	R0, #0
STRB	R0, [R1, #0]
;__irgrid_driver.c,289 :: 		tmp_w[2] = 0x01;
ADDS	R1, R2, #2
MOVS	R0, #1
STRB	R0, [R1, #0]
;__irgrid_driver.c,290 :: 		tmp_w[3] = 0x40;
ADDS	R1, R2, #3
MOVS	R0, #64
STRB	R0, [R1, #0]
;__irgrid_driver.c,292 :: 		hal_i2cStart();
BL	__irgrid_driver_hal_i2cStart+0
;__irgrid_driver.c,293 :: 		hal_i2cWrite( _slaveRAM, tmp_w, 4, END_MODE_RESTART );
ADD	R1, SP, #4
MOVW	R0, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveRAM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #0
MOVS	R2, #4
BL	__irgrid_driver_hal_i2cWrite+0
;__irgrid_driver.c,294 :: 		hal_i2cRead( _slaveRAM, tmp_r, 128, END_MODE_STOP );
ADD	R1, SP, #8
MOVW	R0, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveRAM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #1
MOVS	R2, #128
BL	__irgrid_driver_hal_i2cRead+0
;__irgrid_driver.c,296 :: 		for (i = 0; i < 64; i++)
; i start address is: 16 (R4)
MOVS	R4, #0
; i end address is: 16 (R4)
L___irgrid_driver__get_ir18:
; i start address is: 16 (R4)
CMP	R4, #64
IT	CS
BCS	L___irgrid_driver__get_ir19
;__irgrid_driver.c,298 :: 		_ir_data[i] = 0;
LSLS	R1, R4, #1
MOVW	R0, #lo_addr(__irgrid_driver__ir_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__ir_data+0)
ADDS	R1, R0, R1
MOVS	R0, #0
SXTH	R0, R0
STRH	R0, [R1, #0]
;__irgrid_driver.c,299 :: 		_ir_data[i] |= tmp_r[(i * 2) + 1];
LSLS	R1, R4, #1
MOVW	R0, #lo_addr(__irgrid_driver__ir_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__ir_data+0)
ADDS	R2, R0, R1
SXTH	R0, R1
ADDS	R0, R0, #1
SXTH	R0, R0
ADD	R3, SP, #8
ADDS	R0, R3, R0
LDRB	R1, [R0, #0]
LDRSH	R0, [R2, #0]
ORRS	R0, R1
STRH	R0, [R2, #0]
;__irgrid_driver.c,300 :: 		_ir_data[i] <<= 8;
LSLS	R1, R4, #1
MOVW	R0, #lo_addr(__irgrid_driver__ir_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__ir_data+0)
ADDS	R1, R0, R1
LDRSH	R0, [R1, #0]
LSLS	R0, R0, #8
STRH	R0, [R1, #0]
;__irgrid_driver.c,301 :: 		_ir_data[i] |= tmp_r[i * 2];
LSLS	R1, R4, #1
MOVW	R0, #lo_addr(__irgrid_driver__ir_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__ir_data+0)
ADDS	R2, R0, R1
SXTH	R0, R1
ADDS	R0, R3, R0
LDRB	R1, [R0, #0]
LDRSH	R0, [R2, #0]
ORRS	R0, R1
STRH	R0, [R2, #0]
;__irgrid_driver.c,296 :: 		for (i = 0; i < 64; i++)
ADDS	R4, R4, #1
UXTB	R4, R4
;__irgrid_driver.c,302 :: 		}
; i end address is: 16 (R4)
IT	AL
BAL	L___irgrid_driver__get_ir18
L___irgrid_driver__get_ir19:
;__irgrid_driver.c,303 :: 		}
L_end__get_ir:
LDR	LR, [SP, #0]
ADD	SP, SP, #136
BX	LR
; end of __irgrid_driver__get_ir
__irgrid_driver__get_ptat:
;__irgrid_driver.c,305 :: 		static void _get_ptat()
SUB	SP, SP, #12
STR	LR, [SP, #0]
;__irgrid_driver.c,310 :: 		tmp[0] = 0x02;
ADD	R2, SP, #6
MOVS	R0, #2
STRB	R0, [R2, #0]
;__irgrid_driver.c,311 :: 		tmp[1] = 0x40;
ADDS	R1, R2, #1
MOVS	R0, #64
STRB	R0, [R1, #0]
;__irgrid_driver.c,312 :: 		tmp[2] = 0x00;
ADDS	R1, R2, #2
MOVS	R0, #0
STRB	R0, [R1, #0]
;__irgrid_driver.c,313 :: 		tmp[3] = 0x01;
ADDS	R1, R2, #3
MOVS	R0, #1
STRB	R0, [R1, #0]
;__irgrid_driver.c,315 :: 		hal_i2cStart();
BL	__irgrid_driver_hal_i2cStart+0
;__irgrid_driver.c,316 :: 		hal_i2cWrite(_slaveRAM, tmp, 4, END_MODE_RESTART);
ADD	R1, SP, #6
MOVW	R0, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveRAM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #0
MOVS	R2, #4
BL	__irgrid_driver_hal_i2cWrite+0
;__irgrid_driver.c,317 :: 		hal_i2cRead(_slaveRAM, rd, 2, END_MODE_STOP );
ADD	R1, SP, #4
MOVW	R0, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveRAM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #1
MOVS	R2, #2
BL	__irgrid_driver_hal_i2cRead+0
;__irgrid_driver.c,319 :: 		ptat = ((uint16_t)(rd[1] << 8) | rd[0]);
ADD	R2, SP, #4
ADDS	R0, R2, #1
LDRB	R0, [R0, #0]
LSLS	R1, R0, #8
UXTH	R1, R1
LDRB	R0, [R2, #0]
ORRS	R1, R0
MOVW	R0, #lo_addr(__irgrid_driver_ptat+0)
MOVT	R0, #hi_addr(__irgrid_driver_ptat+0)
STRH	R1, [R0, #0]
;__irgrid_driver.c,320 :: 		}
L_end__get_ptat:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of __irgrid_driver__get_ptat
__irgrid_driver__get_cpix:
;__irgrid_driver.c,322 :: 		static void _get_cpix()
SUB	SP, SP, #12
STR	LR, [SP, #0]
;__irgrid_driver.c,327 :: 		tmp[0] = 0x02;
ADD	R2, SP, #6
MOVS	R0, #2
STRB	R0, [R2, #0]
;__irgrid_driver.c,328 :: 		tmp[1] = 0x41;
ADDS	R1, R2, #1
MOVS	R0, #65
STRB	R0, [R1, #0]
;__irgrid_driver.c,329 :: 		tmp[2] = 0x00;
ADDS	R1, R2, #2
MOVS	R0, #0
STRB	R0, [R1, #0]
;__irgrid_driver.c,330 :: 		tmp[3] = 0x01;
ADDS	R1, R2, #3
MOVS	R0, #1
STRB	R0, [R1, #0]
;__irgrid_driver.c,332 :: 		hal_i2cStart();
BL	__irgrid_driver_hal_i2cStart+0
;__irgrid_driver.c,333 :: 		hal_i2cWrite(_slaveRAM, tmp, 4, END_MODE_RESTART);
ADD	R1, SP, #6
MOVW	R0, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveRAM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #0
MOVS	R2, #4
BL	__irgrid_driver_hal_i2cWrite+0
;__irgrid_driver.c,334 :: 		hal_i2cRead(_slaveRAM, rd, 2, END_MODE_STOP );
ADD	R1, SP, #4
MOVW	R0, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveRAM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #1
MOVS	R2, #2
BL	__irgrid_driver_hal_i2cRead+0
;__irgrid_driver.c,336 :: 		cpix = ((uint16_t)(rd[1] << 8) | rd[0]);
ADD	R2, SP, #4
ADDS	R0, R2, #1
LDRB	R0, [R0, #0]
LSLS	R1, R0, #8
UXTH	R1, R1
LDRB	R0, [R2, #0]
ORRS	R1, R0
MOVW	R0, #lo_addr(__irgrid_driver_cpix+0)
MOVT	R0, #hi_addr(__irgrid_driver_cpix+0)
STRH	R1, [R0, #0]
;__irgrid_driver.c,338 :: 		if (cpix >= 32768)
SXTH	R0, R1
CMP	R0, #32768
IT	CC
BCC	L___irgrid_driver__get_cpix21
;__irgrid_driver.c,340 :: 		cpix -= 65536;
MOVW	R1, #lo_addr(__irgrid_driver_cpix+0)
MOVT	R1, #hi_addr(__irgrid_driver_cpix+0)
LDRSH	R0, [R1, #0]
SUB	R0, R0, #65536
STRH	R0, [R1, #0]
;__irgrid_driver.c,341 :: 		}
L___irgrid_driver__get_cpix21:
;__irgrid_driver.c,342 :: 		}
L_end__get_cpix:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of __irgrid_driver__get_cpix
__irgrid_driver__get_cfg:
;__irgrid_driver.c,344 :: 		static uint16_t _get_cfg()
SUB	SP, SP, #12
STR	LR, [SP, #0]
;__irgrid_driver.c,350 :: 		tmp[0] = 0x02;
ADD	R2, SP, #6
MOVS	R0, #2
STRB	R0, [R2, #0]
;__irgrid_driver.c,351 :: 		tmp[1] = 0x92;
ADDS	R1, R2, #1
MOVS	R0, #146
STRB	R0, [R1, #0]
;__irgrid_driver.c,352 :: 		tmp[2] = 0x00;
ADDS	R1, R2, #2
MOVS	R0, #0
STRB	R0, [R1, #0]
;__irgrid_driver.c,353 :: 		tmp[3] = 0x01;
ADDS	R1, R2, #3
MOVS	R0, #1
STRB	R0, [R1, #0]
;__irgrid_driver.c,355 :: 		hal_i2cStart();
BL	__irgrid_driver_hal_i2cStart+0
;__irgrid_driver.c,356 :: 		hal_i2cWrite(_slaveRAM, tmp, 4, END_MODE_RESTART);
ADD	R1, SP, #6
MOVW	R0, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveRAM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #0
MOVS	R2, #4
BL	__irgrid_driver_hal_i2cWrite+0
;__irgrid_driver.c,357 :: 		hal_i2cRead(_slaveRAM, rd, 2, END_MODE_STOP );
ADD	R1, SP, #4
MOVW	R0, #lo_addr(__irgrid_driver__slaveRAM+0)
MOVT	R0, #hi_addr(__irgrid_driver__slaveRAM+0)
LDRB	R0, [R0, #0]
MOVS	R3, #1
MOVS	R2, #2
BL	__irgrid_driver_hal_i2cRead+0
;__irgrid_driver.c,359 :: 		config = ((uint16_t) (rd[1] << 8) | rd[0]);
ADD	R2, SP, #4
ADDS	R0, R2, #1
LDRB	R0, [R0, #0]
LSLS	R1, R0, #8
UXTH	R1, R1
LDRB	R0, [R2, #0]
ORR	R0, R1, R0, LSL #0
;__irgrid_driver.c,360 :: 		return config;
;__irgrid_driver.c,361 :: 		}
L_end__get_cfg:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of __irgrid_driver__get_cfg
__irgrid_driver__calc_ta:
;__irgrid_driver.c,363 :: 		static void _calc_ta()
SUB	SP, SP, #8
STR	LR, [SP, #0]
;__irgrid_driver.c,365 :: 		k_t1_scale = (int16_t) (_eeprom_data[_IRGRID_KT_SCALE] & 0xF0) >> 4;
MOVW	R2, #lo_addr(__irgrid_driver__eeprom_data+210)
MOVT	R2, #hi_addr(__irgrid_driver__eeprom_data+210)
LDRB	R0, [R2, #0]
AND	R0, R0, #240
UXTB	R0, R0
ASRS	R1, R0, #4
MOVW	R0, #lo_addr(__irgrid_driver_k_t1_scale+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t1_scale+0)
STRH	R1, [R0, #0]
;__irgrid_driver.c,366 :: 		k_t2_scale = (int16_t) (_eeprom_data[_IRGRID_KT_SCALE] & 0x0F) + 10;
MOV	R0, R2
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTB	R0, R0
ADDW	R1, R0, #10
MOVW	R0, #lo_addr(__irgrid_driver_k_t2_scale+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t2_scale+0)
STRH	R1, [R0, #0]
;__irgrid_driver.c,367 :: 		v_th = (float) 256 * _eeprom_data[_IRGRID_VTH_H] + _eeprom_data[_IRGRID_VTH_L];
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+219)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+219)
LDRB	R0, [R0, #0]
VMOV	S1, R0
VCVT.F32	#0, S1, S1
MOV	R0, #1132462080
VMOV	S0, R0
VMUL.F32	S1, S0, S1
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+218)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+218)
LDRB	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#0, S0, S0
VADD.F32	S1, S1, S0
MOVW	R0, #lo_addr(__irgrid_driver_v_th+0)
MOVT	R0, #hi_addr(__irgrid_driver_v_th+0)
VSTR	#1, S1, [R0, #0]
;__irgrid_driver.c,369 :: 		if (v_th >= 32768.0)
MOV	R0, #1191182336
VMOV	S0, R0
VCMPE.F32	S1, S0
VMRS	#60, FPSCR
IT	LT
BLT	L___irgrid_driver__calc_ta22
;__irgrid_driver.c,371 :: 		v_th -= 65536.0;
MOVW	R1, #lo_addr(__irgrid_driver_v_th+0)
MOVT	R1, #hi_addr(__irgrid_driver_v_th+0)
VLDR	#1, S1, [R1, #0]
MOV	R0, #1199570944
VMOV	S0, R0
VSUB.F32	S0, S1, S0
VSTR	#1, S0, [R1, #0]
;__irgrid_driver.c,372 :: 		}
L___irgrid_driver__calc_ta22:
;__irgrid_driver.c,373 :: 		v_th = v_th / pow(2, (3 - resolution));
MOVW	R0, #lo_addr(__irgrid_driver_resolution+0)
MOVT	R0, #hi_addr(__irgrid_driver_resolution+0)
LDRSH	R0, [R0, #0]
RSB	R0, R0, #3
SXTH	R0, R0
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
MOVW	R0, #lo_addr(__irgrid_driver_v_th+0)
MOVT	R0, #hi_addr(__irgrid_driver_v_th+0)
VLDR	#1, S1, [R0, #0]
VDIV.F32	S0, S1, S0
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,374 :: 		k_t1 = (float) 256 * _eeprom_data[_IRGRID_KT1_H] + _eeprom_data[_IRGRID_KT1_L];
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+221)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+221)
LDRB	R0, [R0, #0]
VMOV	S1, R0
VCVT.F32	#0, S1, S1
MOV	R0, #1132462080
VMOV	S0, R0
VMUL.F32	S1, S0, S1
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+220)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+220)
LDRB	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#0, S0, S0
VADD.F32	S1, S1, S0
MOVW	R0, #lo_addr(__irgrid_driver_k_t1+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t1+0)
VSTR	#1, S1, [R0, #0]
;__irgrid_driver.c,376 :: 		if (k_t1 >= 32768.0)
MOV	R0, #1191182336
VMOV	S0, R0
VCMPE.F32	S1, S0
VMRS	#60, FPSCR
IT	LT
BLT	L___irgrid_driver__calc_ta23
;__irgrid_driver.c,378 :: 		k_t1 -= 65536.0;
MOVW	R1, #lo_addr(__irgrid_driver_k_t1+0)
MOVT	R1, #hi_addr(__irgrid_driver_k_t1+0)
VLDR	#1, S1, [R1, #0]
MOV	R0, #1199570944
VMOV	S0, R0
VSUB.F32	S0, S1, S0
VSTR	#1, S0, [R1, #0]
;__irgrid_driver.c,379 :: 		}
L___irgrid_driver__calc_ta23:
;__irgrid_driver.c,381 :: 		k_t1 /= (pow(2, k_t1_scale) * pow(2, (3 - resolution)));
MOVW	R0, #lo_addr(__irgrid_driver_k_t1_scale+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t1_scale+0)
LDRSH	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VSTR	#1, S0, [SP, #4]
MOVW	R0, #lo_addr(__irgrid_driver_resolution+0)
MOVT	R0, #hi_addr(__irgrid_driver_resolution+0)
LDRSH	R0, [R0, #0]
RSB	R0, R0, #3
SXTH	R0, R0
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VLDR	#1, S1, [SP, #4]
VMUL.F32	S1, S1, S0
MOVW	R0, #lo_addr(__irgrid_driver_k_t1+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t1+0)
VLDR	#1, S0, [R0, #0]
VDIV.F32	S0, S0, S1
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,382 :: 		k_t2 = (float) 256 * _eeprom_data[_IRGRID_KT2_H] + _eeprom_data[_IRGRID_KT2_L];
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+223)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+223)
LDRB	R0, [R0, #0]
VMOV	S1, R0
VCVT.F32	#0, S1, S1
MOV	R0, #1132462080
VMOV	S0, R0
VMUL.F32	S1, S0, S1
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+222)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+222)
LDRB	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#0, S0, S0
VADD.F32	S1, S1, S0
MOVW	R0, #lo_addr(__irgrid_driver_k_t2+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t2+0)
VSTR	#1, S1, [R0, #0]
;__irgrid_driver.c,384 :: 		if (k_t2 >= 32768.0)
MOV	R0, #1191182336
VMOV	S0, R0
VCMPE.F32	S1, S0
VMRS	#60, FPSCR
IT	LT
BLT	L___irgrid_driver__calc_ta24
;__irgrid_driver.c,386 :: 		k_t2 -= 65536.0;
MOVW	R1, #lo_addr(__irgrid_driver_k_t2+0)
MOVT	R1, #hi_addr(__irgrid_driver_k_t2+0)
VLDR	#1, S1, [R1, #0]
MOV	R0, #1199570944
VMOV	S0, R0
VSUB.F32	S0, S1, S0
VSTR	#1, S0, [R1, #0]
;__irgrid_driver.c,387 :: 		}
L___irgrid_driver__calc_ta24:
;__irgrid_driver.c,389 :: 		k_t2 /= (pow(2, k_t2_scale) * pow(2, (3 - resolution)));
MOVW	R0, #lo_addr(__irgrid_driver_k_t2_scale+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t2_scale+0)
LDRSH	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VSTR	#1, S0, [SP, #4]
MOVW	R0, #lo_addr(__irgrid_driver_resolution+0)
MOVT	R0, #hi_addr(__irgrid_driver_resolution+0)
LDRSH	R0, [R0, #0]
RSB	R0, R0, #3
SXTH	R0, R0
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VLDR	#1, S1, [SP, #4]
VMUL.F32	S1, S1, S0
MOVW	R0, #lo_addr(__irgrid_driver_k_t2+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t2+0)
VLDR	#1, S0, [R0, #0]
VDIV.F32	S0, S0, S1
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,391 :: 		_temperature_amb = ((-k_t1 + sqrt(pow(k_t1, 2) - (4 * k_t2 * (v_th - (float) ptat)))) / (2 * k_t2)) + 25.0;
MOVW	R0, #lo_addr(__irgrid_driver_k_t1+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t1+0)
VLDR	#1, S0, [R0, #0]
VNEG.F32	S0, S0
VSTR	#1, S0, [SP, #4]
VLDR	#1, S0, [R0, #0]
VMOV.F32	S1, #2
BL	_pow+0
MOVW	R0, #lo_addr(__irgrid_driver_k_t2+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t2+0)
VLDR	#1, S2, [R0, #0]
VMOV.F32	S1, #4
VMUL.F32	S3, S1, S2
MOVW	R0, #lo_addr(__irgrid_driver_ptat+0)
MOVT	R0, #hi_addr(__irgrid_driver_ptat+0)
LDRSH	R0, [R0, #0]
VMOV	S2, R0
VCVT.F32	#1, S2, S2
MOVW	R0, #lo_addr(__irgrid_driver_v_th+0)
MOVT	R0, #hi_addr(__irgrid_driver_v_th+0)
VLDR	#1, S1, [R0, #0]
VSUB.F32	S1, S1, S2
VMUL.F32	S1, S3, S1
VSUB.F32	S0, S0, S1
BL	_sqrt+0
VLDR	#1, S1, [SP, #4]
VADD.F32	S2, S1, S0
MOVW	R0, #lo_addr(__irgrid_driver_k_t2+0)
MOVT	R0, #hi_addr(__irgrid_driver_k_t2+0)
VLDR	#1, S1, [R0, #0]
VMOV.F32	S0, #2
VMUL.F32	S0, S0, S1
VDIV.F32	S1, S2, S0
VMOV.F32	S0, #25
VADD.F32	S0, S1, S0
MOVW	R0, #lo_addr(__irgrid_driver__temperature_amb+0)
MOVT	R0, #hi_addr(__irgrid_driver__temperature_amb+0)
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,392 :: 		}
L_end__calc_ta:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __irgrid_driver__calc_ta
__irgrid_driver__calc_to:
;__irgrid_driver.c,394 :: 		static void _calc_to()
SUB	SP, SP, #20
STR	LR, [SP, #0]
;__irgrid_driver.c,404 :: 		emissivity = (256 * _eeprom_data[_IRGRID_CAL_EMIS_H] + _eeprom_data[_IRGRID_CAL_EMIS_L]) / 32768.0;
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+229)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+229)
LDRB	R0, [R0, #0]
LSLS	R1, R0, #8
SXTH	R1, R1
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+228)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+228)
LDRB	R0, [R0, #0]
ADDS	R0, R1, R0
SXTH	R0, R0
VMOV	S1, R0
VCVT.F32	#1, S1, S1
MOV	R0, #1191182336
VMOV	S0, R0
VDIV.F32	S0, S1, S0
MOVW	R0, #lo_addr(__irgrid_driver_emissivity+0)
MOVT	R0, #hi_addr(__irgrid_driver_emissivity+0)
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,405 :: 		a_common = (int16_t) 256 * _eeprom_data[_IRGRID_CAL_ACOMMON_H] + _eeprom_data[_IRGRID_CAL_ACOMMON_L];
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+209)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+209)
LDRB	R0, [R0, #0]
LSLS	R1, R0, #8
SXTH	R1, R1
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+208)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+208)
LDRB	R0, [R0, #0]
ADDS	R1, R1, R0
MOVW	R0, #lo_addr(__irgrid_driver_a_common+0)
MOVT	R0, #hi_addr(__irgrid_driver_a_common+0)
STRH	R1, [R0, #0]
;__irgrid_driver.c,407 :: 		alpha_cp = (256 * _eeprom_data[_IRGRID_CAL_ALPHA_CP_H] + _eeprom_data[_IRGRID_CAL_ALPHA_CP_L]) / (pow(2, _eeprom_data[_IRGRID_CAL_A0_SCALE]) * pow(2, (3 - resolution)));
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+215)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+215)
LDRB	R0, [R0, #0]
LSLS	R1, R0, #8
SXTH	R1, R1
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+214)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+214)
LDRB	R0, [R0, #0]
ADDS	R0, R1, R0
STRH	R0, [SP, #12]
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+226)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+226)
LDRB	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#0, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VSTR	#1, S0, [SP, #8]
MOVW	R0, #lo_addr(__irgrid_driver_resolution+0)
MOVT	R0, #hi_addr(__irgrid_driver_resolution+0)
LDRSH	R0, [R0, #0]
RSB	R0, R0, #3
SXTH	R0, R0
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VLDR	#1, S1, [SP, #8]
VMUL.F32	S1, S1, S0
LDRSH	R0, [SP, #12]
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VDIV.F32	S0, S0, S1
MOVW	R0, #lo_addr(__irgrid_driver_alpha_cp+0)
MOVT	R0, #hi_addr(__irgrid_driver_alpha_cp+0)
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,408 :: 		a_i_scale = (int16_t) (_eeprom_data[_IRGRID_CAL_AI_SCALE] & 0xF0) >> 4;
MOVW	R2, #lo_addr(__irgrid_driver__eeprom_data+217)
MOVT	R2, #hi_addr(__irgrid_driver__eeprom_data+217)
LDRB	R0, [R2, #0]
AND	R0, R0, #240
UXTB	R0, R0
ASRS	R1, R0, #4
MOVW	R0, #lo_addr(__irgrid_driver_a_i_scale+0)
MOVT	R0, #hi_addr(__irgrid_driver_a_i_scale+0)
STRH	R1, [R0, #0]
;__irgrid_driver.c,409 :: 		b_i_scale = (int16_t) _eeprom_data[_IRGRID_CAL_BI_SCALE] & 0x0F;
MOV	R0, R2
LDRB	R0, [R0, #0]
AND	R1, R0, #15
MOVW	R0, #lo_addr(__irgrid_driver_b_i_scale+0)
MOVT	R0, #hi_addr(__irgrid_driver_b_i_scale+0)
STRH	R1, [R0, #0]
;__irgrid_driver.c,411 :: 		a_cp = (float) 256 * _eeprom_data[_IRGRID_CAL_ACP_H] + _eeprom_data[_IRGRID_CAL_ACP_L];
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+212)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+212)
LDRB	R0, [R0, #0]
VMOV	S1, R0
VCVT.F32	#0, S1, S1
MOV	R0, #1132462080
VMOV	S0, R0
VMUL.F32	S1, S0, S1
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+211)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+211)
LDRB	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#0, S0, S0
VADD.F32	S0, S1, S0
MOVW	R0, #lo_addr(__irgrid_driver_a_cp+0)
MOVT	R0, #hi_addr(__irgrid_driver_a_cp+0)
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,412 :: 		a_cp /= pow(2, (3 - resolution));
MOVW	R0, #lo_addr(__irgrid_driver_resolution+0)
MOVT	R0, #hi_addr(__irgrid_driver_resolution+0)
LDRSH	R0, [R0, #0]
RSB	R0, R0, #3
SXTH	R0, R0
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
MOVW	R0, #lo_addr(__irgrid_driver_a_cp+0)
MOVT	R0, #hi_addr(__irgrid_driver_a_cp+0)
VLDR	#1, S1, [R0, #0]
VDIV.F32	S0, S1, S0
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,413 :: 		b_cp = (float) _eeprom_data[_IRGRID_CAL_BCP];
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+213)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+213)
LDRB	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#0, S0, S0
MOVW	R0, #lo_addr(__irgrid_driver_b_cp+0)
MOVT	R0, #hi_addr(__irgrid_driver_b_cp+0)
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,414 :: 		b_cp /= (pow(2, b_i_scale) * pow(2, (3 - resolution)));
MOVW	R0, #lo_addr(__irgrid_driver_b_i_scale+0)
MOVT	R0, #hi_addr(__irgrid_driver_b_i_scale+0)
LDRSH	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VSTR	#1, S0, [SP, #8]
MOVW	R0, #lo_addr(__irgrid_driver_resolution+0)
MOVT	R0, #hi_addr(__irgrid_driver_resolution+0)
LDRSH	R0, [R0, #0]
RSB	R0, R0, #3
SXTH	R0, R0
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VLDR	#1, S1, [SP, #8]
VMUL.F32	S1, S1, S0
MOVW	R0, #lo_addr(__irgrid_driver_b_cp+0)
MOVT	R0, #hi_addr(__irgrid_driver_b_cp+0)
VLDR	#1, S0, [R0, #0]
VDIV.F32	S3, S0, S1
VSTR	#1, S3, [R0, #0]
;__irgrid_driver.c,415 :: 		tgc = (float) _eeprom_data[_IRGRID_CAL_TGC];
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+216)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+216)
LDRB	R0, [R0, #0]
VMOV	S1, R0
VCVT.F32	#0, S1, S1
MOVW	R1, #lo_addr(__irgrid_driver_tgc+0)
MOVT	R1, #hi_addr(__irgrid_driver_tgc+0)
VSTR	#1, S1, [R1, #0]
;__irgrid_driver.c,416 :: 		tgc /= 32.0;
MOV	R0, #1107296256
VMOV	S0, R0
VDIV.F32	S0, S1, S0
VSTR	#1, S0, [R1, #0]
;__irgrid_driver.c,417 :: 		vcp_offset_compensated = (float) cpix - (a_cp + b_cp * (_temperature_amb - 25.0));
MOVW	R0, #lo_addr(__irgrid_driver_cpix+0)
MOVT	R0, #hi_addr(__irgrid_driver_cpix+0)
LDRSH	R0, [R0, #0]
VMOV	S6, R0
VCVT.F32	#1, S6, S6
MOVW	R0, #lo_addr(__irgrid_driver__temperature_amb+0)
MOVT	R0, #hi_addr(__irgrid_driver__temperature_amb+0)
VLDR	#1, S1, [R0, #0]
VMOV.F32	S0, #25
VSUB.F32	S0, S1, S0
VMUL.F32	S1, S3, S0
MOVW	R0, #lo_addr(__irgrid_driver_a_cp+0)
MOVT	R0, #hi_addr(__irgrid_driver_a_cp+0)
VLDR	#1, S0, [R0, #0]
VADD.F32	S0, S0, S1
VSUB.F32	S6, S6, S0
; vcp_offset_compensated start address is: 24 (R6)
;__irgrid_driver.c,419 :: 		for (i = 0; i < 64; i++)
; i start address is: 24 (R6)
MOVS	R6, #0
; i end address is: 24 (R6)
STRH	R6, [SP, #4]
LDRH	R6, [SP, #4]
L___irgrid_driver__calc_to25:
; i start address is: 24 (R6)
; vcp_offset_compensated start address is: 24 (R6)
; vcp_offset_compensated end address is: 24 (R6)
CMP	R6, #64
IT	CS
BCS	L___irgrid_driver__calc_to26
; vcp_offset_compensated end address is: 24 (R6)
;__irgrid_driver.c,421 :: 		_a_data[i] = ((float) a_common + _eeprom_data[i] * pow(2, a_i_scale)) / pow(2, (3 - resolution));
; vcp_offset_compensated start address is: 24 (R6)
LSLS	R1, R6, #2
MOVW	R0, #lo_addr(__irgrid_driver__a_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__a_data+0)
ADDS	R0, R0, R1
STR	R0, [SP, #16]
MOVW	R0, #lo_addr(__irgrid_driver_a_common+0)
MOVT	R0, #hi_addr(__irgrid_driver_a_common+0)
LDRSH	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VSTR	#1, S0, [SP, #12]
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+0)
ADDS	R0, R0, R6
STR	R0, [SP, #8]
MOVW	R0, #lo_addr(__irgrid_driver_a_i_scale+0)
MOVT	R0, #hi_addr(__irgrid_driver_a_i_scale+0)
LDRSH	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
LDR	R0, [SP, #8]
LDRB	R0, [R0, #0]
VMOV	S1, R0
VCVT.F32	#0, S1, S1
VMUL.F32	S1, S1, S0
VLDR	#1, S0, [SP, #12]
VADD.F32	S0, S0, S1
VSTR	#1, S0, [SP, #8]
MOVW	R0, #lo_addr(__irgrid_driver_resolution+0)
MOVT	R0, #hi_addr(__irgrid_driver_resolution+0)
LDRSH	R0, [R0, #0]
RSB	R0, R0, #3
SXTH	R0, R0
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VLDR	#1, S1, [SP, #8]
VDIV.F32	S0, S1, S0
LDR	R0, [SP, #16]
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,422 :: 		_b_data[i] = _eeprom_data[0x40 + i];
LSLS	R1, R6, #2
MOVW	R0, #lo_addr(__irgrid_driver__b_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__b_data+0)
ADDS	R2, R0, R1
ADDW	R1, R6, #64
UXTH	R1, R1
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+0)
ADDS	R0, R0, R1
LDRB	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#0, S0, S0
VSTR	#1, S0, [R2, #0]
;__irgrid_driver.c,424 :: 		if (_b_data[i] > 127)
LSLS	R1, R6, #2
MOVW	R0, #lo_addr(__irgrid_driver__b_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__b_data+0)
ADDS	R0, R0, R1
VLDR	#1, S1, [R0, #0]
MOVW	R0, #0
MOVT	R0, #17150
VMOV	S0, R0
VCMPE.F32	S1, S0
VMRS	#60, FPSCR
IT	LE
BLE	L___irgrid_driver__calc_to28
;__irgrid_driver.c,426 :: 		_b_data[i] -= 256;
LSLS	R1, R6, #2
MOVW	R0, #lo_addr(__irgrid_driver__b_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__b_data+0)
ADDS	R2, R0, R1
VLDR	#1, S1, [R2, #0]
MOV	R0, #1132462080
VMOV	S0, R0
VSUB.F32	S0, S1, S0
VSTR	#1, S0, [R2, #0]
;__irgrid_driver.c,427 :: 		}
L___irgrid_driver__calc_to28:
;__irgrid_driver.c,429 :: 		_b_data[i] = _b_data[i] / (pow(2, b_i_scale) * pow(2, (3 - resolution)));
LSLS	R1, R6, #2
MOVW	R0, #lo_addr(__irgrid_driver__b_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__b_data+0)
ADDS	R0, R0, R1
STR	R0, [SP, #16]
VLDR	#1, S0, [R0, #0]
VSTR	#1, S0, [SP, #12]
MOVW	R0, #lo_addr(__irgrid_driver_b_i_scale+0)
MOVT	R0, #hi_addr(__irgrid_driver_b_i_scale+0)
LDRSH	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VSTR	#1, S0, [SP, #8]
MOVW	R0, #lo_addr(__irgrid_driver_resolution+0)
MOVT	R0, #hi_addr(__irgrid_driver_resolution+0)
LDRSH	R0, [R0, #0]
RSB	R0, R0, #3
SXTH	R0, R0
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VLDR	#1, S1, [SP, #8]
VMUL.F32	S1, S1, S0
VLDR	#1, S0, [SP, #12]
VDIV.F32	S0, S0, S1
LDR	R0, [SP, #16]
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,430 :: 		vir_offset_compensated = _ir_data[i] - (_a_data[i] + _b_data[i] * (_temperature_amb - 25.0));
LSLS	R1, R6, #1
MOVW	R0, #lo_addr(__irgrid_driver__ir_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__ir_data+0)
ADDS	R0, R0, R1
LDRSH	R3, [R0, #0]
LSLS	R2, R6, #2
MOVW	R0, #lo_addr(__irgrid_driver__a_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__a_data+0)
ADDS	R0, R0, R2
VLDR	#1, S2, [R0, #0]
MOVW	R0, #lo_addr(__irgrid_driver__b_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__b_data+0)
ADDS	R1, R0, R2
MOVW	R0, #lo_addr(__irgrid_driver__temperature_amb+0)
MOVT	R0, #hi_addr(__irgrid_driver__temperature_amb+0)
VLDR	#1, S1, [R0, #0]
VMOV.F32	S0, #25
VSUB.F32	S1, S1, S0
VLDR	#1, S0, [R1, #0]
VMUL.F32	S0, S0, S1
VADD.F32	S1, S2, S0
VMOV	S0, R3
VCVT.F32	#1, S0, S0
VSUB.F32	S1, S0, S1
;__irgrid_driver.c,431 :: 		vir_tgc_compensated = vir_offset_compensated - tgc * vcp_offset_compensated;
MOVW	R0, #lo_addr(__irgrid_driver_tgc+0)
MOVT	R0, #hi_addr(__irgrid_driver_tgc+0)
VLDR	#1, S0, [R0, #0]
VMUL.F32	S0, S0, S6
VSUB.F32	S0, S1, S0
; vir_tgc_compensated start address is: 28 (R7)
VMOV.F32	S7, S0
;__irgrid_driver.c,432 :: 		_alpha_a_data[i] = ((256 * _eeprom_data[_IRGRID_CAL_A0_H] + _eeprom_data[_IRGRID_CAL_A0_L]) / pow(2, _eeprom_data[_IRGRID_CAL_A0_SCALE]));
MOVW	R0, #lo_addr(__irgrid_driver__alpha_a_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__alpha_a_data+0)
ADDS	R0, R0, R2
STR	R0, [SP, #12]
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+225)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+225)
LDRB	R0, [R0, #0]
LSLS	R1, R0, #8
SXTH	R1, R1
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+224)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+224)
LDRB	R0, [R0, #0]
ADDS	R0, R1, R0
STRH	R0, [SP, #8]
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+226)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+226)
LDRB	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#0, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
LDRSH	R0, [SP, #8]
VMOV	S1, R0
VCVT.F32	#1, S1, S1
VDIV.F32	S0, S1, S0
LDR	R0, [SP, #12]
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,433 :: 		_alpha_a_data[i] += (_eeprom_data[0x80 + i] / pow(2, _eeprom_data[_IRGRID_CAL_DELTA_A_SCALE]));
LSLS	R1, R6, #2
MOVW	R0, #lo_addr(__irgrid_driver__alpha_a_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__alpha_a_data+0)
ADDS	R0, R0, R1
STR	R0, [SP, #12]
ADDW	R1, R6, #128
UXTH	R1, R1
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+0)
ADDS	R0, R0, R1
LDRB	R0, [R0, #0]
STRB	R0, [SP, #8]
MOVW	R0, #lo_addr(__irgrid_driver__eeprom_data+227)
MOVT	R0, #hi_addr(__irgrid_driver__eeprom_data+227)
LDRB	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#0, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
LDRB	R0, [SP, #8]
VMOV	S1, R0
VCVT.F32	#0, S1, S1
VDIV.F32	S1, S1, S0
LDR	R0, [SP, #12]
VLDR	#1, S0, [R0, #0]
VADD.F32	S0, S0, S1
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,434 :: 		_alpha_a_data[i] = _alpha_a_data[i] / pow(2, 3 - resolution);
LSLS	R1, R6, #2
MOVW	R0, #lo_addr(__irgrid_driver__alpha_a_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__alpha_a_data+0)
ADDS	R0, R0, R1
STR	R0, [SP, #12]
VLDR	#1, S0, [R0, #0]
VSTR	#1, S0, [SP, #8]
MOVW	R0, #lo_addr(__irgrid_driver_resolution+0)
MOVT	R0, #hi_addr(__irgrid_driver_resolution+0)
LDRSH	R0, [R0, #0]
RSB	R0, R0, #3
SXTH	R0, R0
VMOV	S0, R0
VCVT.F32	#1, S0, S0
VMOV.F32	S1, S0
VMOV.F32	S0, #2
BL	_pow+0
VLDR	#1, S1, [SP, #8]
VDIV.F32	S0, S1, S0
LDR	R0, [SP, #12]
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,435 :: 		vir_normal = vir_tgc_compensated / (_alpha_a_data[i] - tgc * alpha_cp);
LSLS	R1, R6, #2
MOVW	R0, #lo_addr(__irgrid_driver__alpha_a_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__alpha_a_data+0)
ADDS	R0, R0, R1
VLDR	#1, S2, [R0, #0]
MOVW	R0, #lo_addr(__irgrid_driver_alpha_cp+0)
MOVT	R0, #hi_addr(__irgrid_driver_alpha_cp+0)
VLDR	#1, S1, [R0, #0]
MOVW	R0, #lo_addr(__irgrid_driver_tgc+0)
MOVT	R0, #hi_addr(__irgrid_driver_tgc+0)
VLDR	#1, S0, [R0, #0]
VMUL.F32	S0, S0, S1
VSUB.F32	S0, S2, S0
VDIV.F32	S1, S7, S0
; vir_tgc_compensated end address is: 28 (R7)
;__irgrid_driver.c,436 :: 		vir_compensated = vir_normal / emissivity;
MOVW	R0, #lo_addr(__irgrid_driver_emissivity+0)
MOVT	R0, #hi_addr(__irgrid_driver_emissivity+0)
VLDR	#1, S0, [R0, #0]
VDIV.F32	S0, S1, S0
; vir_compensated start address is: 28 (R7)
VMOV.F32	S7, S0
;__irgrid_driver.c,439 :: 		_temperature_data[i] = 329.5 - (exp((log((vir_compensated + pow((_temperature_amb + 273.15), 4)))/4.0)));
MOVW	R0, #lo_addr(__irgrid_driver__temperature_data+0)
MOVT	R0, #hi_addr(__irgrid_driver__temperature_data+0)
ADDS	R0, R0, R1
STR	R0, [SP, #8]
MOVW	R0, #lo_addr(__irgrid_driver__temperature_amb+0)
MOVT	R0, #hi_addr(__irgrid_driver__temperature_amb+0)
VLDR	#1, S1, [R0, #0]
MOVW	R0, #37683
MOVT	R0, #17288
VMOV	S0, R0
VADD.F32	S0, S1, S0
VMOV.F32	S1, #4
BL	_pow+0
VADD.F32	S0, S7, S0
; vir_compensated end address is: 28 (R7)
BL	_log+0
VMOV.F32	S1, #4
VDIV.F32	S0, S0, S1
BL	_exp+0
MOVW	R0, #49152
MOVT	R0, #17316
VMOV	S1, R0
VSUB.F32	S0, S1, S0
LDR	R0, [SP, #8]
VSTR	#1, S0, [R0, #0]
;__irgrid_driver.c,419 :: 		for (i = 0; i < 64; i++)
ADDS	R6, R6, #1
UXTH	R6, R6
;__irgrid_driver.c,440 :: 		}
STRH	R6, [SP, #4]
; vcp_offset_compensated end address is: 24 (R6)
; i end address is: 24 (R6)
LDRH	R6, [SP, #4]
IT	AL
BAL	L___irgrid_driver__calc_to25
L___irgrid_driver__calc_to26:
;__irgrid_driver.c,441 :: 		}
L_end__calc_to:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of __irgrid_driver__calc_to
