#line 1 "E:/git/fw-clicks/demo_application/IR_Grid_demo_mm/__irgrid_hal.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 134 "E:/git/fw-clicks/demo_application/IR_Grid_demo_mm/__irgrid_hal.c"
static void hal_i2cMap( const uint8_t*  i2cObj);
#line 143 "E:/git/fw-clicks/demo_application/IR_Grid_demo_mm/__irgrid_hal.c"
static int hal_i2cStart(void);
#line 167 "E:/git/fw-clicks/demo_application/IR_Grid_demo_mm/__irgrid_hal.c"
static int hal_i2cWrite(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode);
#line 191 "E:/git/fw-clicks/demo_application/IR_Grid_demo_mm/__irgrid_hal.c"
static int hal_i2cRead(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode);
#line 235 "E:/git/fw-clicks/demo_application/IR_Grid_demo_mm/__irgrid_hal.c"
typedef void (*T_hal_gpioSetFp)(uint8_t);
typedef uint8_t (*T_hal_gpioGetFp)();

typedef struct
{
 T_hal_gpioSetFp gpioSet[ 12 ];
 T_hal_gpioGetFp gpioGet[ 12 ];

}T_hal_gpioObj;
#line 321 "E:/git/fw-clicks/demo_application/IR_Grid_demo_mm/__irgrid_hal.c"
static void hal_gpioMap( const uint8_t*  gpioObj)
{
  const T_hal_gpioObj*  tmp = ( const T_hal_gpioObj* )gpioObj;
#line 397 "E:/git/fw-clicks/demo_application/IR_Grid_demo_mm/__irgrid_hal.c"
}
#line 1 "e:/git/fw-clicks/demo_application/ir_grid_demo_mm/hal/__hal_stm32.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 66 "e:/git/fw-clicks/demo_application/ir_grid_demo_mm/hal/__hal_stm32.c"
typedef unsigned int ( *T_hal_i2cStartFp )();
typedef unsigned int ( *T_hal_i2cWriteFp )(unsigned char, unsigned char*, unsigned long, unsigned long);
typedef void ( *T_hal_i2cReadFp )(unsigned char, unsigned char*, unsigned long, unsigned long);

typedef struct
{
 T_hal_i2cStartFp i2cStart;
 T_hal_i2cWriteFp i2cWrite;
 T_hal_i2cReadFp i2cRead;

}T_hal_i2cObj;

static T_hal_i2cStartFp fp_i2cStart;
static T_hal_i2cWriteFp fp_i2cWrite;
static T_hal_i2cReadFp fp_i2cRead;

static void hal_i2cMap( const uint8_t*  i2cObj)
{
  const T_hal_i2cObj*  tmp = ( const T_hal_i2cObj* )i2cObj;

 fp_i2cStart = tmp->i2cStart;
 fp_i2cWrite = tmp->i2cWrite;
 fp_i2cRead = tmp->i2cRead;
}

static int hal_i2cStart()
{
 int res = 0;
 res |= fp_i2cStart();
 return res;
}

static int hal_i2cWrite(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
{
 int res = 0;
 uint8_t *ptr = pBuf;
 res |= fp_i2cWrite(slaveAddress, ptr, nBytes, endMode);
 return res;
}

static int hal_i2cRead(uint8_t slaveAddress, uint8_t *pBuf, uint16_t nBytes, uint8_t endMode)
{
 int res = 0;
 uint8_t *ptr = pBuf;
 fp_i2cRead(slaveAddress, ptr, nBytes, endMode);
 return res;
}
