_color_scale_init:
;color_scale.c,34 :: 		void color_scale_init()
;color_scale.c,36 :: 		_abs_min    = (+  18.0);
VMOV.F32	S0, #18
MOVW	R0, #lo_addr(color_scale__abs_min+0)
MOVT	R0, #hi_addr(color_scale__abs_min+0)
VSTR	#1, S0, [R0, #0]
;color_scale.c,37 :: 		_low_center = (+  24.0);
VMOV.F32	S0, #24
MOVW	R0, #lo_addr(color_scale__low_center+0)
MOVT	R0, #hi_addr(color_scale__low_center+0)
VSTR	#1, S0, [R0, #0]
;color_scale.c,38 :: 		_med_center = (+  30.0);
VMOV.F32	S0, #30
MOVW	R0, #lo_addr(color_scale__med_center+0)
MOVT	R0, #hi_addr(color_scale__med_center+0)
VSTR	#1, S0, [R0, #0]
;color_scale.c,39 :: 		_hig_center = (+  36.0);
MOVW	R0, #0
MOVT	R0, #16912
VMOV	S0, R0
MOVW	R0, #lo_addr(color_scale__hig_center+0)
MOVT	R0, #hi_addr(color_scale__hig_center+0)
VSTR	#1, S0, [R0, #0]
;color_scale.c,40 :: 		_abs_max    = (+  44.0);
MOVW	R0, #0
MOVT	R0, #16944
VMOV	S0, R0
MOVW	R0, #lo_addr(color_scale__abs_max+0)
MOVT	R0, #hi_addr(color_scale__abs_max+0)
VSTR	#1, S0, [R0, #0]
;color_scale.c,42 :: 		_low_center_color = B_COLOR;
MOVS	R1, #0
MOVW	R0, #lo_addr(color_scale__low_center_color+0)
MOVT	R0, #hi_addr(color_scale__low_center_color+0)
STRB	R1, [R0, #0]
;color_scale.c,43 :: 		_med_center_color = G_COLOR;
MOVS	R1, #1
MOVW	R0, #lo_addr(color_scale__med_center_color+0)
MOVT	R0, #hi_addr(color_scale__med_center_color+0)
STRB	R1, [R0, #0]
;color_scale.c,44 :: 		_hig_center_color = R_COLOR;
MOVS	R1, #2
MOVW	R0, #lo_addr(color_scale__hig_center_color+0)
MOVT	R0, #hi_addr(color_scale__hig_center_color+0)
STRB	R1, [R0, #0]
;color_scale.c,45 :: 		}
L_end_color_scale_init:
BX	LR
; end of _color_scale_init
_color_scale_set_low_center:
;color_scale.c,47 :: 		int color_scale_set_low_center( float low_center, T_rgb_color color )
; color start address is: 0 (R0)
; low_center start address is: 0 (R0)
; color end address is: 0 (R0)
; low_center end address is: 0 (R0)
; low_center start address is: 0 (R0)
; color start address is: 0 (R0)
;color_scale.c,49 :: 		_low_center = low_center;
MOVW	R1, #lo_addr(color_scale__low_center+0)
MOVT	R1, #hi_addr(color_scale__low_center+0)
VSTR	#1, S0, [R1, #0]
; low_center end address is: 0 (R0)
;color_scale.c,50 :: 		_low_center_color = color;
MOVW	R1, #lo_addr(color_scale__low_center_color+0)
MOVT	R1, #hi_addr(color_scale__low_center_color+0)
STRB	R0, [R1, #0]
; color end address is: 0 (R0)
;color_scale.c,52 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;color_scale.c,53 :: 		}
L_end_color_scale_set_low_center:
BX	LR
; end of _color_scale_set_low_center
_color_scale_set_med_center:
;color_scale.c,55 :: 		int color_scale_set_med_center( float med_center, T_rgb_color color )
; color start address is: 0 (R0)
; med_center start address is: 0 (R0)
; color end address is: 0 (R0)
; med_center end address is: 0 (R0)
; med_center start address is: 0 (R0)
; color start address is: 0 (R0)
;color_scale.c,57 :: 		_med_center = med_center;
MOVW	R1, #lo_addr(color_scale__med_center+0)
MOVT	R1, #hi_addr(color_scale__med_center+0)
VSTR	#1, S0, [R1, #0]
; med_center end address is: 0 (R0)
;color_scale.c,58 :: 		_med_center_color = color;
MOVW	R1, #lo_addr(color_scale__med_center_color+0)
MOVT	R1, #hi_addr(color_scale__med_center_color+0)
STRB	R0, [R1, #0]
; color end address is: 0 (R0)
;color_scale.c,60 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;color_scale.c,61 :: 		}
L_end_color_scale_set_med_center:
BX	LR
; end of _color_scale_set_med_center
_color_scale_set_hig_center:
;color_scale.c,63 :: 		int color_scale_set_hig_center( float hig_center, T_rgb_color color )
; color start address is: 0 (R0)
; hig_center start address is: 0 (R0)
; color end address is: 0 (R0)
; hig_center end address is: 0 (R0)
; hig_center start address is: 0 (R0)
; color start address is: 0 (R0)
;color_scale.c,65 :: 		_hig_center = hig_center;
MOVW	R1, #lo_addr(color_scale__hig_center+0)
MOVT	R1, #hi_addr(color_scale__hig_center+0)
VSTR	#1, S0, [R1, #0]
; hig_center end address is: 0 (R0)
;color_scale.c,66 :: 		_hig_center_color = color;
MOVW	R1, #lo_addr(color_scale__hig_center_color+0)
MOVT	R1, #hi_addr(color_scale__hig_center_color+0)
STRB	R0, [R1, #0]
; color end address is: 0 (R0)
;color_scale.c,68 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;color_scale.c,69 :: 		}
L_end_color_scale_set_hig_center:
BX	LR
; end of _color_scale_set_hig_center
_color_scale_rgb_conversion:
;color_scale.c,71 :: 		uint16_t color_scale_rgb_conversion( float x )
SUB	SP, SP, #8
STR	LR, [SP, #0]
; x start address is: 0 (R0)
VMOV.F32	S4, S0
; x end address is: 0 (R0)
; x start address is: 16 (R4)
;color_scale.c,76 :: 		range = _get_range(x);
VMOV.F32	S0, S4
BL	color_scale__get_range+0
; range start address is: 0 (R0)
;color_scale.c,78 :: 		switch (range)
IT	AL
BAL	L_color_scale_rgb_conversion0
; range end address is: 0 (R0)
;color_scale.c,80 :: 		case RANGE_MIN_LOW:
L_color_scale_rgb_conversion2:
;color_scale.c,82 :: 		float b = (_low_center - x) / (_low_center - _abs_min);
MOVW	R1, #lo_addr(color_scale__low_center+0)
MOVT	R1, #hi_addr(color_scale__low_center+0)
VLDR	#1, S0, [R1, #0]
VSUB.F32	S2, S0, S4
MOVW	R2, #lo_addr(color_scale__abs_min+0)
MOVT	R2, #hi_addr(color_scale__abs_min+0)
VLDR	#1, S1, [R2, #0]
VLDR	#1, S0, [R1, #0]
VSUB.F32	S1, S0, S1
VDIV.F32	S2, S2, S1
;color_scale.c,83 :: 		float c = (x - _abs_min) / (_low_center - _abs_min);
MOV	R1, R2
VLDR	#1, S0, [R1, #0]
VSUB.F32	S0, S4, S0
; x end address is: 16 (R4)
VDIV.F32	S0, S0, S1
; c start address is: 12 (R3)
VMOV.F32	S3, S0
;color_scale.c,85 :: 		col = _bw_intensity( 1.0 - b, _low_center_color );
MOVW	R1, #lo_addr(color_scale__low_center_color+0)
MOVT	R1, #hi_addr(color_scale__low_center_color+0)
LDRB	R1, [R1, #0]
VMOV.F32	S0, #1
VSUB.F32	S0, S0, S2
UXTB	R0, R1
BL	color_scale__bw_intensity+0
STRH	R0, [SP, #4]
;color_scale.c,86 :: 		col |= _rgb_intensity( c, _low_center_color );
MOVW	R1, #lo_addr(color_scale__low_center_color+0)
MOVT	R1, #hi_addr(color_scale__low_center_color+0)
LDRB	R1, [R1, #0]
UXTB	R0, R1
VMOV.F32	S0, S3
; c end address is: 12 (R3)
BL	color_scale__rgb_intensity+0
LDRH	R1, [SP, #4]
ORRS	R1, R0
STRH	R1, [SP, #4]
;color_scale.c,87 :: 		break;
IT	AL
BAL	L_color_scale_rgb_conversion1
;color_scale.c,89 :: 		case RANGE_LOW_MED:
L_color_scale_rgb_conversion3:
;color_scale.c,91 :: 		float c1 = (_med_center - x) / (_med_center - _low_center);
; x start address is: 16 (R4)
MOVW	R1, #lo_addr(color_scale__med_center+0)
MOVT	R1, #hi_addr(color_scale__med_center+0)
VLDR	#1, S0, [R1, #0]
VSUB.F32	S3, S0, S4
MOVW	R2, #lo_addr(color_scale__low_center+0)
MOVT	R2, #hi_addr(color_scale__low_center+0)
VLDR	#1, S1, [R2, #0]
VLDR	#1, S0, [R1, #0]
VSUB.F32	S2, S0, S1
VDIV.F32	S1, S3, S2
;color_scale.c,92 :: 		float c2 = (x - _low_center) / (_med_center - _low_center);
MOV	R1, R2
VLDR	#1, S0, [R1, #0]
VSUB.F32	S0, S4, S0
; x end address is: 16 (R4)
VDIV.F32	S0, S0, S2
; c2 start address is: 8 (R2)
VMOV.F32	S2, S0
;color_scale.c,94 :: 		col = _rgb_intensity( c1, _low_center_color);
MOVW	R1, #lo_addr(color_scale__low_center_color+0)
MOVT	R1, #hi_addr(color_scale__low_center_color+0)
LDRB	R1, [R1, #0]
UXTB	R0, R1
VMOV.F32	S0, S1
BL	color_scale__rgb_intensity+0
STRH	R0, [SP, #4]
;color_scale.c,95 :: 		col |= _rgb_intensity( c2, _med_center_color);
MOVW	R1, #lo_addr(color_scale__med_center_color+0)
MOVT	R1, #hi_addr(color_scale__med_center_color+0)
LDRB	R1, [R1, #0]
UXTB	R0, R1
VMOV.F32	S0, S2
; c2 end address is: 8 (R2)
BL	color_scale__rgb_intensity+0
LDRH	R1, [SP, #4]
ORRS	R1, R0
STRH	R1, [SP, #4]
;color_scale.c,96 :: 		break;
IT	AL
BAL	L_color_scale_rgb_conversion1
;color_scale.c,98 :: 		case RANGE_MED_HIG:
L_color_scale_rgb_conversion4:
;color_scale.c,100 :: 		float c1 = (_hig_center - x) / (_hig_center - _med_center);
; x start address is: 16 (R4)
MOVW	R1, #lo_addr(color_scale__hig_center+0)
MOVT	R1, #hi_addr(color_scale__hig_center+0)
VLDR	#1, S0, [R1, #0]
VSUB.F32	S3, S0, S4
MOVW	R2, #lo_addr(color_scale__med_center+0)
MOVT	R2, #hi_addr(color_scale__med_center+0)
VLDR	#1, S1, [R2, #0]
VLDR	#1, S0, [R1, #0]
VSUB.F32	S2, S0, S1
VDIV.F32	S1, S3, S2
;color_scale.c,101 :: 		float c2 = (x - _med_center) / (_hig_center - _med_center);
MOV	R1, R2
VLDR	#1, S0, [R1, #0]
VSUB.F32	S0, S4, S0
; x end address is: 16 (R4)
VDIV.F32	S0, S0, S2
; c2 start address is: 8 (R2)
VMOV.F32	S2, S0
;color_scale.c,103 :: 		col = _rgb_intensity( c1, _med_center_color);
MOVW	R1, #lo_addr(color_scale__med_center_color+0)
MOVT	R1, #hi_addr(color_scale__med_center_color+0)
LDRB	R1, [R1, #0]
UXTB	R0, R1
VMOV.F32	S0, S1
BL	color_scale__rgb_intensity+0
STRH	R0, [SP, #4]
;color_scale.c,104 :: 		col |= _rgb_intensity( c2, _hig_center_color);
MOVW	R1, #lo_addr(color_scale__hig_center_color+0)
MOVT	R1, #hi_addr(color_scale__hig_center_color+0)
LDRB	R1, [R1, #0]
UXTB	R0, R1
VMOV.F32	S0, S2
; c2 end address is: 8 (R2)
BL	color_scale__rgb_intensity+0
LDRH	R1, [SP, #4]
ORRS	R1, R0
STRH	R1, [SP, #4]
;color_scale.c,106 :: 		break;
IT	AL
BAL	L_color_scale_rgb_conversion1
;color_scale.c,108 :: 		case RANGE_HIG_MAX:
L_color_scale_rgb_conversion5:
;color_scale.c,110 :: 		float c = (_abs_max - x) / (_abs_max - _hig_center );
; x start address is: 16 (R4)
MOVW	R2, #lo_addr(color_scale__abs_max+0)
MOVT	R2, #hi_addr(color_scale__abs_max+0)
VLDR	#1, S0, [R2, #0]
VSUB.F32	S3, S0, S4
MOVW	R1, #lo_addr(color_scale__hig_center+0)
MOVT	R1, #hi_addr(color_scale__hig_center+0)
VLDR	#1, S1, [R1, #0]
MOV	R1, R2
VLDR	#1, S0, [R1, #0]
VSUB.F32	S2, S0, S1
VDIV.F32	S1, S3, S2
;color_scale.c,111 :: 		float w = (x - _abs_max) / (_abs_max - _hig_center );
MOV	R1, R2
VLDR	#1, S0, [R1, #0]
VSUB.F32	S0, S4, S0
; x end address is: 16 (R4)
VDIV.F32	S0, S0, S2
; w start address is: 8 (R2)
VMOV.F32	S2, S0
;color_scale.c,113 :: 		col = _rgb_intensity( c, _hig_center_color );
MOVW	R1, #lo_addr(color_scale__hig_center_color+0)
MOVT	R1, #hi_addr(color_scale__hig_center_color+0)
LDRB	R1, [R1, #0]
UXTB	R0, R1
VMOV.F32	S0, S1
BL	color_scale__rgb_intensity+0
STRH	R0, [SP, #4]
;color_scale.c,114 :: 		col |= _bw_intensity( w, _hig_center_color );
MOVW	R1, #lo_addr(color_scale__hig_center_color+0)
MOVT	R1, #hi_addr(color_scale__hig_center_color+0)
LDRB	R1, [R1, #0]
UXTB	R0, R1
VMOV.F32	S0, S2
; w end address is: 8 (R2)
BL	color_scale__bw_intensity+0
LDRH	R1, [SP, #4]
ORRS	R1, R0
STRH	R1, [SP, #4]
;color_scale.c,115 :: 		break;
IT	AL
BAL	L_color_scale_rgb_conversion1
;color_scale.c,117 :: 		}
L_color_scale_rgb_conversion0:
; range start address is: 0 (R0)
; x start address is: 16 (R4)
CMP	R0, #0
IT	EQ
BEQ	L_color_scale_rgb_conversion2
CMP	R0, #1
IT	EQ
BEQ	L_color_scale_rgb_conversion3
CMP	R0, #2
IT	EQ
BEQ	L_color_scale_rgb_conversion4
CMP	R0, #3
IT	EQ
BEQ	L_color_scale_rgb_conversion5
; x end address is: 16 (R4)
; range end address is: 0 (R0)
L_color_scale_rgb_conversion1:
;color_scale.c,119 :: 		return col;
LDRH	R0, [SP, #4]
;color_scale.c,120 :: 		}
L_end_color_scale_rgb_conversion:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _color_scale_rgb_conversion
color_scale__get_range:
;color_scale.c,124 :: 		static uint8_t _get_range( float val )
; val start address is: 0 (R0)
VMOV.F32	S1, S0
; val end address is: 0 (R0)
; val start address is: 4 (R1)
;color_scale.c,126 :: 		if (val < _low_center)
MOVW	R1, #lo_addr(color_scale__low_center+0)
MOVT	R1, #hi_addr(color_scale__low_center+0)
VLDR	#1, S0, [R1, #0]
VCMPE.F32	S1, S0
VMRS	#60, FPSCR
IT	GE
BGE	L_color_scale__get_range6
; val end address is: 4 (R1)
;color_scale.c,127 :: 		return RANGE_MIN_LOW;
MOVS	R0, #0
IT	AL
BAL	L_end__get_range
L_color_scale__get_range6:
;color_scale.c,128 :: 		if (val < _med_center)
; val start address is: 4 (R1)
MOVW	R1, #lo_addr(color_scale__med_center+0)
MOVT	R1, #hi_addr(color_scale__med_center+0)
VLDR	#1, S0, [R1, #0]
VCMPE.F32	S1, S0
VMRS	#60, FPSCR
IT	GE
BGE	L_color_scale__get_range7
; val end address is: 4 (R1)
;color_scale.c,129 :: 		return RANGE_LOW_MED;
MOVS	R0, #1
IT	AL
BAL	L_end__get_range
L_color_scale__get_range7:
;color_scale.c,130 :: 		if (val < _hig_center)
; val start address is: 4 (R1)
MOVW	R1, #lo_addr(color_scale__hig_center+0)
MOVT	R1, #hi_addr(color_scale__hig_center+0)
VLDR	#1, S0, [R1, #0]
VCMPE.F32	S1, S0
VMRS	#60, FPSCR
IT	GE
BGE	L_color_scale__get_range8
; val end address is: 4 (R1)
;color_scale.c,131 :: 		return RANGE_MED_HIG;
MOVS	R0, #2
IT	AL
BAL	L_end__get_range
L_color_scale__get_range8:
;color_scale.c,132 :: 		return RANGE_HIG_MAX;
MOVS	R0, #3
;color_scale.c,133 :: 		}
L_end__get_range:
BX	LR
; end of color_scale__get_range
color_scale__bw_intensity:
;color_scale.c,135 :: 		static uint16_t _bw_intensity( float input, T_rgb_color color )
; color start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; input start address is: 0 (R0)
VMOV.F32	S2, S0
; color end address is: 0 (R0)
; input end address is: 0 (R0)
; input start address is: 8 (R2)
; color start address is: 0 (R0)
;color_scale.c,139 :: 		res = 0;
; res start address is: 8 (R2)
MOVS	R2, #0
;color_scale.c,141 :: 		switch (color)
IT	AL
BAL	L_color_scale__bw_intensity9
; color end address is: 0 (R0)
;color_scale.c,143 :: 		case R_COLOR:
L_color_scale__bw_intensity11:
;color_scale.c,144 :: 		res |= _rgb_intensity( input, G_COLOR );
MOVS	R0, #1
VMOV.F32	S0, S2
BL	color_scale__rgb_intensity+0
ORRS	R2, R0
UXTH	R2, R2
;color_scale.c,145 :: 		res |= _rgb_intensity( input, B_COLOR );
MOVS	R0, #0
VMOV.F32	S0, S2
; input end address is: 8 (R2)
BL	color_scale__rgb_intensity+0
ORR	R0, R2, R0, LSL #0
UXTH	R0, R0
; res end address is: 8 (R2)
; res start address is: 0 (R0)
;color_scale.c,146 :: 		break;
; res end address is: 0 (R0)
IT	AL
BAL	L_color_scale__bw_intensity10
;color_scale.c,147 :: 		case G_COLOR:
L_color_scale__bw_intensity12:
;color_scale.c,148 :: 		res |= _rgb_intensity( input, R_COLOR );
; res start address is: 8 (R2)
; input start address is: 8 (R2)
MOVS	R0, #2
VMOV.F32	S0, S2
BL	color_scale__rgb_intensity+0
ORRS	R2, R0
UXTH	R2, R2
;color_scale.c,149 :: 		res |= _rgb_intensity( input, B_COLOR );
MOVS	R0, #0
VMOV.F32	S0, S2
; input end address is: 8 (R2)
BL	color_scale__rgb_intensity+0
ORR	R0, R2, R0, LSL #0
UXTH	R0, R0
; res end address is: 8 (R2)
; res start address is: 0 (R0)
;color_scale.c,150 :: 		break;
; res end address is: 0 (R0)
IT	AL
BAL	L_color_scale__bw_intensity10
;color_scale.c,151 :: 		case B_COLOR :
L_color_scale__bw_intensity13:
;color_scale.c,152 :: 		res |= _rgb_intensity( input, G_COLOR );
; res start address is: 8 (R2)
; input start address is: 8 (R2)
MOVS	R0, #1
VMOV.F32	S0, S2
BL	color_scale__rgb_intensity+0
ORRS	R2, R0
UXTH	R2, R2
;color_scale.c,153 :: 		res |= _rgb_intensity( input, R_COLOR );
MOVS	R0, #2
VMOV.F32	S0, S2
; input end address is: 8 (R2)
BL	color_scale__rgb_intensity+0
ORR	R0, R2, R0, LSL #0
UXTH	R0, R0
; res end address is: 8 (R2)
; res start address is: 0 (R0)
;color_scale.c,154 :: 		break;
; res end address is: 0 (R0)
IT	AL
BAL	L_color_scale__bw_intensity10
;color_scale.c,155 :: 		default:
L_color_scale__bw_intensity14:
;color_scale.c,157 :: 		break;
; res start address is: 8 (R2)
UXTH	R0, R2
IT	AL
BAL	L_color_scale__bw_intensity10
;color_scale.c,158 :: 		}
L_color_scale__bw_intensity9:
; color start address is: 0 (R0)
; input start address is: 8 (R2)
CMP	R0, #2
IT	EQ
BEQ	L_color_scale__bw_intensity11
CMP	R0, #1
IT	EQ
BEQ	L_color_scale__bw_intensity12
CMP	R0, #0
IT	EQ
BEQ	L_color_scale__bw_intensity13
; input end address is: 8 (R2)
; color end address is: 0 (R0)
IT	AL
BAL	L_color_scale__bw_intensity14
; res end address is: 8 (R2)
L_color_scale__bw_intensity10:
;color_scale.c,160 :: 		return res;
; res start address is: 0 (R0)
; res end address is: 0 (R0)
;color_scale.c,161 :: 		}
L_end__bw_intensity:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of color_scale__bw_intensity
color_scale__rgb_intensity:
;color_scale.c,163 :: 		static uint16_t _rgb_intensity( float input, T_rgb_color color )
; color start address is: 0 (R0)
SUB	SP, SP, #4
; input start address is: 0 (R0)
VMOV.F32	S1, S0
; color end address is: 0 (R0)
; input end address is: 0 (R0)
; input start address is: 4 (R1)
; color start address is: 0 (R0)
;color_scale.c,167 :: 		switch (color)
IT	AL
BAL	L_color_scale__rgb_intensity15
; color end address is: 0 (R0)
;color_scale.c,169 :: 		case R_COLOR:
L_color_scale__rgb_intensity17:
;color_scale.c,170 :: 		res = (uint16_t)(input * 32.0);
MOV	R1, #1107296256
VMOV	S0, R1
VMUL.F32	S0, S1, S0
; input end address is: 4 (R1)
VCVT	#1, .F32, S0, S0
VMOV	R1, S0
UXTH	R1, R1
;color_scale.c,171 :: 		res &= 0x1F;
AND	R1, R1, #31
UXTH	R1, R1
;color_scale.c,172 :: 		res <<= 11;
LSLS	R1, R1, #11
STRH	R1, [SP, #0]
;color_scale.c,173 :: 		break;
IT	AL
BAL	L_color_scale__rgb_intensity16
;color_scale.c,174 :: 		case G_COLOR:
L_color_scale__rgb_intensity18:
;color_scale.c,175 :: 		res = (uint16_t)(input * 64.0);
; input start address is: 4 (R1)
MOV	R1, #1115684864
VMOV	S0, R1
VMUL.F32	S0, S1, S0
; input end address is: 4 (R1)
VCVT	#1, .F32, S0, S0
VMOV	R1, S0
UXTH	R1, R1
;color_scale.c,176 :: 		res &= 0x3F;
AND	R1, R1, #63
UXTH	R1, R1
;color_scale.c,177 :: 		res <<= 5;
LSLS	R1, R1, #5
STRH	R1, [SP, #0]
;color_scale.c,178 :: 		break;
IT	AL
BAL	L_color_scale__rgb_intensity16
;color_scale.c,179 :: 		case B_COLOR :
L_color_scale__rgb_intensity19:
;color_scale.c,180 :: 		res = (uint16_t)(input * 32.0);
; input start address is: 4 (R1)
MOV	R1, #1107296256
VMOV	S0, R1
VMUL.F32	S0, S1, S0
; input end address is: 4 (R1)
VCVT	#1, .F32, S0, S0
VMOV	R1, S0
UXTH	R1, R1
;color_scale.c,181 :: 		res &= 0x1F;
AND	R1, R1, #31
STRH	R1, [SP, #0]
;color_scale.c,182 :: 		break;
IT	AL
BAL	L_color_scale__rgb_intensity16
;color_scale.c,183 :: 		default:
L_color_scale__rgb_intensity20:
;color_scale.c,185 :: 		break;
IT	AL
BAL	L_color_scale__rgb_intensity16
;color_scale.c,186 :: 		}
L_color_scale__rgb_intensity15:
; color start address is: 0 (R0)
; input start address is: 4 (R1)
CMP	R0, #2
IT	EQ
BEQ	L_color_scale__rgb_intensity17
CMP	R0, #1
IT	EQ
BEQ	L_color_scale__rgb_intensity18
CMP	R0, #0
IT	EQ
BEQ	L_color_scale__rgb_intensity19
; input end address is: 4 (R1)
; color end address is: 0 (R0)
IT	AL
BAL	L_color_scale__rgb_intensity20
L_color_scale__rgb_intensity16:
;color_scale.c,188 :: 		return res;
LDRH	R0, [SP, #0]
;color_scale.c,189 :: 		}
L_end__rgb_intensity:
ADD	SP, SP, #4
BX	LR
; end of color_scale__rgb_intensity
